<?php

/**
 * backup actions.
 *
 * @package    sf_sandbox
 * @subpackage backup
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class backupActions extends sfActions
{
    /**
     * Executes index action
     *
     * @param sfRequest $request A request object
     */
    public function executeIndex(sfWebRequest $request)
    {
        $this->form = new BackupConfigForm();
        
        if($request->isMethod("POST"))
        {
            $this->form->bind($request->getParameter('config'));
            
            if($this->form->isValid())
            {
                BackupConfigTable::deleteAll($this->form->getValue("type"));
                BackupConfigTable::save($this->form->getValue("type"), $this->form->getValue("day"));
                
                $this->getUser()->setFlash('notice', 'La configuration de la sauvegarde a bien été enregistré');
            }
            
            $this->form = new BackupConfigForm();
        }
    }
    
    public function executeBackupDayByType(sfWebRequest $request)
    {
        $this->liste = array();
        
        if ($request->isXmlHttpRequest()) {
            if ($request->hasParameter("type")) {
                $this->liste = BackupConfigTable::getListDayByType($request->getParameter("type"));
                
                return $this->renderPartial('backup/backupDayByTypeSuccess', array('liste' => $this->liste));
            }
        }
    }

    public function executeList(sfWebRequest $request)
    {
        // Récupère les dix dernières sauvegarde effectués
        $this->liste = BackupDataTable::getList(10);
    }

    public function executeBackup(sfWebRequest $request)
    {
        file_get_contents('http://www.haute-pression.com/backup-database.html');
        file_get_contents('http://www.haute-pression.com/backup-source.html');
        $this->redirect('backup/liste-backup');
    }
}
