<?php

require_once dirname(__FILE__).'/../lib/clientGeneratorConfiguration.class.php';
require_once dirname(__FILE__).'/../lib/clientGeneratorHelper.class.php';

/**
 * client actions.
 *
 * @package    sf_sandbox
 * @subpackage client
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class clientActions extends autoClientActions
{
    public function executeBatchExport_sage(sfWebRequest $request)
    {
        $ids = $request->getParameter('ids');
        
        $fp = fopen(__DIR__."/../../../../../data/export_sage/".date("ymdhis").".txt", "w");
        
        foreach ($ids as $id) {
            $client = Doctrine::getTable("Client")->find($id);
            
            // On récupère la dernière commande
            $commande = Doctrine::getTable("Commande")->getLastOrderByCustomer($id);
            
            $id_client = $client->getNom().$client->getPrenom();
            $id_client = iconv("utf8", 'ASCII//TRANSLIT//IGNORE', $id_client);
            $id_client = str_replace(" ", "", $id_client);
            $id_client = str_replace("-", "", $id_client);
            $id_client = strtoupper($id_client);
            
            // Création du TSV
            $contenu = $id_client."\t"
                    .strtoupper(iconv("utf8", 'ASCII//TRANSLIT//IGNORE', $client->getCivilite()." ".$client->getNom()." ".$client->getPrenom()))."\t"
                    ."41100000\t"
                    .$id_client."\t"
                    .strtoupper(iconv("utf8", 'ASCII//TRANSLIT//IGNORE', $client->getAdresse()))."\t"
                    .strtoupper(iconv("utf8", 'ASCII//TRANSLIT//IGNORE', $client->getAdresseComplement()))."\t"
                    .strtoupper($client->getCodePostal())."\t"
                    .strtoupper(iconv("utf8", 'ASCII//TRANSLIT//IGNORE', $client->getVille()))."\t"
                    .iconv("utf8", 'ASCII//TRANSLIT//IGNORE', $client->getPays())."\t"
                    .$client->getTelephone()."\t"
                    .$client->getFax()."\t"
                    .$client->getEmail()."\t";
            
            if ($commande) {
                $contenu .= strtoupper(iconv("utf8", 'ASCII//TRANSLIT//IGNORE', $commande->getCivilite()." ".$commande->getNom()." ".$commande->getPrenom()))."\t"
                    .strtoupper(iconv("utf8", 'ASCII//TRANSLIT//IGNORE', $commande->getAdresse()))."\t"
                    .strtoupper(iconv("utf8", 'ASCII//TRANSLIT//IGNORE', $commande->getAdresseComplement()))."\t"
                    .strtoupper($commande->getCodePostal())."\t"
                    .strtoupper(iconv("utf8", 'ASCII//TRANSLIT//IGNORE', $commande->getVille()))."\t"
                    .iconv("utf8", 'ASCII//TRANSLIT//IGNORE', $commande->getPays())."\t"
                    .$commande->getTelephone()."\t"
                    .$commande->getFax()."\n";
            } else {
                $contenu .= "\t\t\t\t\t\t\t\n";
            }
            
            fputs($fp, $contenu);
            
            /*$fp = fopen(__DIR__."/../../../../../data/export_sage/".$id_client.".txt", "w");
            fputs($fp, $contenu);
            fclose($fp);*/
        }
        
        fclose($fp);
        
        // Mise à jour des status export sage
        Doctrine::getTable("Client")->updateExportSage($ids);
    }
}
