<?php use_helper('I18N', 'Date') ?>
<?php include_partial('nettoyeurhautepression/assets') ?>
<?php 
	$ligne = 0;
	$bloc = 0;
	if(isset($nettoyeur))
	{
		foreach ($associations as $association)
		{
			$bloc++;
			$ligne += sizeof($association->getArticles());
		}
	}
?>
<script type="text/javascript">
var ligne = <?php echo $ligne?>;
var bloc = <?php echo $bloc?>;

function ajouterBloc(famille){
	var str = '<div id="bloc_'+bloc+'">';
	str += '<fieldset id="sf_fieldset_'+famille+'">';
	str += '<input type="hidden" name="bloc['+famille+']['+bloc+'][id_association]" value="" />';
	str += '<div class="sf_admin_form_row">';
	str += '<div>';
	str += '<label class="blocSupprimer"><a style="cursor:pointer;" onclick="if (confirm(\'Etes vous sûr ?\')) { supprimerLigne(\'famille_'+famille+'\' ,\'bloc_'+bloc+'\') };return false;">Supprimer le bloc</a></label>';
	str += '<div class="content">';
	str += '&nbsp;';
	str += '</div>';
	str += '</div>';
	str += '</div>';
	str += '<div class="sf_admin_form_row">';
	str += '<div>';
	str += '<label>Ordre</label>';
	str += '<div class="content">';
	str += '<input type="text" id="'+famille+'_'+bloc+'_ordre" name="bloc['+famille+']['+bloc+'][ordre]" value="" />';
	str += '</div>';
	str += '</div>';
	str += '</div>';
	str += '<div class="sf_admin_form_row">';
	str += '<div>';
	str += '<label>Texte</label>';
	str += '<div class="content">';
	str += '<input type="text" id="'+famille+'_'+bloc+'_texte" name="bloc['+famille+']['+bloc+'][texte]" value="" />';
	str += '</div>';
	str += '</div>';
	str += '</div>';
	str += '<div class="sf_admin_form_row">';
	str += '<div>';
	str += '<label>Note</label>';
	str += '<div class="content">';
	str += '<input type="text" id="'+famille+'_'+bloc+'_note" name="bloc['+famille+']['+bloc+'][note]" value="" />';
	str += '</div>';
	str += '</div>';
	str += '</div>';
	str += '<div class="sf_admin_form_row">';
	str += '<div>';
	str += '<label class="associationAjouter" id="ajouter_article_'+famille+'_'+bloc+'"><a onclick="ajouterArticle('+famille+', '+bloc+')">Ajouter un article</a></label>';
	str += '<div class="content">';
	str += '<table>';
	str += '<thead>';
	str += '<tr>';
	str += '<th>Ref fournisseur</th>';
	str += '<th>Ref THS</th>';
	str += '<th>Désignation</th>';
	str += '<th>PU HT</th>';
	str += '<th>Poids</th>';
	str += '<th>Ordre</th>';
	str += '<th>Actions</th>';
	str += '</tr>';
	str += '</thead>';
	str += '<tbody id="articles_'+famille+'_'+bloc+'">';
	str += '</tbody>';
	str += '</table>';
	str += '</div>';
	str += '</div>';
	str += '</div>';
	str += '</fieldset>';
	str += '</div>';
	str += '</div>';
	$(str).appendTo($('#famille_'+famille));
	bloc++;
}

function ajouterLigne(famille, bloc){
	var str = '<tr id="ligne_'+famille+'_'+bloc+'_'+ligne+'">';
	str += '<td><input type="text" id="ref_ths_sage_'+famille+'_'+bloc+'_'+ligne+'" onchange="recupererArticle(\''+famille+'_'+bloc+'_'+ligne+'\')" onkeyup="recupererArticle(\''+famille+'_'+bloc+'_'+ligne+'\')" value="" /><input type="hidden" id="ref_ths_sage_reel_'+famille+'_'+bloc+'_'+ligne+'" name="bloc['+ famille +']['+ bloc +'][ref_fournisseur][]" value="" /></td>';
	str += '<td><input type="text" id="ref_ths_'+famille+'_'+bloc+'_'+ligne+'" disabled="disabled" /></td>';
	str += '<td><input type="text" id="designation_'+famille+'_'+bloc+'_'+ligne+'" disabled="disabled" /></td>';
	str += '<td><input type="text" id="prix_'+famille+'_'+bloc+'_'+ligne+'" size="6" disabled="disabled" /></td>';
	str += '<td><input type="text" id="poids_'+famille+'_'+bloc+'_'+ligne+'" size="6" disabled="disabled" /></td>';
	str += '<td><input type="text" id="ordre_'+famille+'_'+bloc+'_'+ligne+'" size="2" name="bloc['+ famille +']['+ bloc +'][ordre][]" /></td>';
	str += '<td>';
	str += '<ul class="sf_admin_td_actions">';
	str += '<li class="sf_admin_action_delete">';
	str += '<a style="cursor:pointer;" onclick="if (confirm(\'Etes vous sûr ?\')) { supprimerLigne(\'articles_'+famille+'_'+bloc+'\' ,\'ligne_'+famille+'_'+bloc+'_'+ligne+'\') };return false;">Supprimer</a>';
	str += '</li>';
	str += '</ul>';
	str += '</td>';
	str += '</tr>';
	ligne++;
	return str;
}

$(document).ready(function(){
	$('#recherche_marque').change(function() {
		$('#loader').show();
	    $('#emplacement_modele').load(
	    	'recupererModele',
	        { id_marque: this.value },
	        function() { $('#loader').hide(); }
	    );
	});
	<?php if(isset($nettoyeur)):?>
		<?php foreach($listeFamille as $famille):?>
			$('#ajouter_article_<?php echo $famille->getIdFamille()?>').click(function(){
				$(ajouterLigne(<?php echo $famille->getIdFamille()?>)).appendTo($('#articles_<?php echo $famille->getIdFamille()?>'))
			});
		<?php endforeach;?>
	<?php endif?>
})

function ajouterArticle(famille, bloc){
	$(ajouterLigne(famille, bloc)).appendTo($('#articles_'+famille+'_'+bloc));
}

function recupererArticle(id){
	$.ajax({
			type: "POST",
			url: '<?php echo url_for("@recuperer_article_pour_association") ?>',
			data: { reference_ths_sage: document.getElementById('ref_ths_sage_'+id).value },
			dataType: 'json',
			//Fonction executée quand la requete réussie
			success: function(result){
				document.getElementById('ref_ths_sage_reel_'+id).value = result['reference_ths_sage'];
				document.getElementById('ref_ths_'+id).value = result['reference_ths'];
				document.getElementById('designation_'+id).value = result['designation'];
				document.getElementById('prix_'+id).value = result['prix'];
				document.getElementById('poids_'+id).value = result['poids'];
		        }
		   });
}

function supprimerLigne(id_body, id_tr){
	document.getElementById(id_body).removeChild(document.getElementById(id_tr));
}

function supprimerBloc(id_div, id_fieldset){
	document.getElementById(id_div).removeChild(document.getElementById(id_fieldset));
}
</script>
<?php $ligne = 0; $bloc = 0;?>
<div id="sf_admin_container">
  	<h1><?php echo __('Association article et nettoyeur haute pression', array(), 'messages') ?></h1>
  	<h3><?php echo link_to("Télécharger le fichier excel", "nettoyeurhautepression/exportRecapitulatifAssociation")?></h3>
  	<?php include_partial('nettoyeurhautepression/flashes') ?>
	<form method="post" action="<?php echo url_for("association_article_nettoyeur")?>">
	  	<div id="sf_admin_header">
	  		<fieldset id="sf_fieldset_recherche">
	  			<div class="sf_admin_form_row">
			    	<div>
			    		<label>Marque</label>
			      		<div class="content">
			      			<select id="recherche_marque" name="recherche_marque">
								<option value="">Choisissez une marque</option>
								<?php foreach($listeMarque as $marque):?>
									<option value="<?php echo $marque->getIdMarque()?>" <?php if($marque->getIdMarque() == $recherche_marque):?>selected="selected"<?php endif;?>><?php echo $marque->getLibelle()?></option>
								<?php endforeach;?>	
							</select>
							<?php echo image_tag("loader.gif", array("id"=>"loader", "style"=>"vertical-align: middle; display: none"))?>
			      		</div>
			    	</div>
			  	</div>
				<div class="sf_admin_form_row">
			    	<div>
			    		<label>Modèle</label>
			      		<div class="content">
			      			<div id="emplacement_modele">
								<select id="recherche_modele" name="recherche_modele">
									<option value="">Choisissez un modèle</option>
									<?php foreach($listeModeles as $modele):?>
										<option value="<?php echo $modele->getPrimaryKey()?>" <?php if($modele->getPrimaryKey() == $recherche_modele):?>selected="selected"<?php endif;?>><?php echo $modele->getModele()?></option>
									<?php endforeach;?>
								</select>
							</div>
			      		</div>
			    	</div>
			  	</div>
			</fieldset>
			<ul class="sf_admin_actions">
				<li class="sf_admin_action_save">
					<input type="submit" id="btnAfficher" name="btnAfficher" value="Afficher">
				</li>
			</ul>
	  	</div>
		<?php if(isset($nettoyeur)):?>
			<div id="sf_admin_content">
				<input type="hidden" name="id_nettoyeur" value="<?php echo $nettoyeur->getIdNettoyeur()?>" />
				<input type="hidden" name="id_marque" value="<?php echo $recherche_marque?>" />
				<input type="hidden" name="id_modele" value="<?php echo $recherche_modele?>" />
				<div id="associationEntete">
					<span class="titre"><?php echo $nettoyeur->getMarque()->getLibelle()?> <?php echo $nettoyeur->getModele()?></span>
					<span class="sousTitre">
						<?php if($nettoyeur->getDebitLitreMin() != ""):?>Débit litre/mn: <?php echo $nettoyeur->getDebitLitreMin()?> <?php endif?>
						<?php if($nettoyeur->getPressionService()):?>Pression: <?php echo $nettoyeur->getPressionService()?> <?php endif?>
						<?php if($nettoyeur->getCalibre()):?>Calibre: <?php echo $nettoyeur->getCalibre()?><?php endif?>
					</span>
				</div>
				<?php foreach($listeFamille as $famille):?>
					<div id="famille_<?php echo $famille->getIdFamille()?>">
					<h3><?php echo $famille->getLibelle()?></h3>
					<p class="associationAjouter"><a onclick="ajouterBloc(<?php echo $famille->getIdFamille()?>)">Ajouter un bloc</a></p>
					<?php $_association = new Association();?>
					<?php foreach ($associations as $association):?>
						<?php if($association->getIdFamille() == $famille->getIdFamille()):?>
							<?php $_association = $association;?>
							<div id="bloc_<?php echo $bloc?>">
								<fieldset id="sf_fieldset_<?php echo $famille->getIdFamille()?>_<?php echo $bloc?>">
									<input type="hidden" name="bloc[<?php echo $famille->getIdFamille()?>][<?php echo $bloc?>][id_association]" value="<?php echo $_association->getIdAssociation()?>" />
									<div class="sf_admin_form_row">
								    	<div>
								    		<label class="blocSupprimer"><a style="cursor:pointer;" onclick="if (confirm('Are you sure?')) { supprimerLigne('famille_<?php echo $famille->getIdFamille()?>' ,'bloc_<?php echo $bloc?>') };return false;">Supprimer le bloc</a></label>
								      		<div class="content">
								      			&nbsp;
								      		</div>
								    	</div>
								  	</div>
									<div class="sf_admin_form_row">
								    	<div>
								    		<label>Ordre</label>
								      		<div class="content">
								      			<input type="text" id="<?php echo $famille->getIdFamille()?>_<?php echo $bloc?>_ordre" name="bloc[<?php echo $famille->getIdFamille()?>][<?php echo $bloc?>][ordre]" value="<?php echo $_association->getOrdre()?>" />
								      		</div>
								    	</div>
								  	</div>
									<div class="sf_admin_form_row">
								    	<div>
								    		<label>Texte</label>
								      		<div class="content">
								      			<input type="text" id="<?php echo $famille->getIdFamille()?>_<?php echo $bloc?>_texte" name="bloc[<?php echo $famille->getIdFamille()?>][<?php echo $bloc?>][texte]" value="<?php echo $_association->getTexte()?>" />
								      		</div>
								    	</div>
								  	</div>
								  	<div class="sf_admin_form_row">
								    	<div>
								    		<label>Note</label>
								      		<div class="content">
								      			<input type="text" id="<?php echo $famille->getIdFamille()?>_<?php echo $bloc?>_note" name="bloc[<?php echo $famille->getIdFamille()?>][<?php echo $bloc?>][note]" value="<?php echo $_association->getNote()?>" />
								      		</div>
								    	</div>
								  	</div>
								  	<div class="sf_admin_form_row">
								    	<div>
								    		<label class="associationAjouter" id="ajouter_article_<?php echo $famille->getIdFamille()?>_<?php echo $bloc?>"><a onclick="ajouterArticle(<?php echo $famille->getIdFamille()?>, <?php echo $bloc?>)">Ajouter un article</a></label>
								      		<div class="content">
								      			<table>
								      				<thead>
									      				<tr>
									      					<th>Ref fournisseur</th>
									      					<th>Ref THS</th>
									      					<th>Désignation</th>
									      					<th>PU HT</th>
									      					<th>Poids</th>
									      					<th>Ordre</th>
									      					<th>Actions</th>
									      				</tr>
								      				</thead>
								      				<tbody  id="articles_<?php echo $famille->getIdFamille()?>_<?php echo $bloc?>">
								      					<?php foreach($_association->getAssociationArticles() as $asso):?>
										      				<?php $article = $asso->getArticle()?>
										      				<tr id="ligne_<?php echo $famille->getIdFamille()?>_<?php echo $bloc?>_<?php echo $ligne?>">
																<td>
																	<input type="text" id="ref_ths_sage_<?php echo $famille->getIdFamille()?>_<?php echo $bloc?>_<?php echo $ligne?>" onchange="recupererArticle('<?php echo $famille->getIdFamille()?>_<?php echo $bloc?>_<?php echo $ligne?>')" onkeyup="recupererArticle('<?php echo $famille->getIdFamille()?>_<?php echo $bloc?>_<?php echo $ligne?>')" value="<?php echo $article->getReferenceThsSage()?>" />
																	<input type="hidden" id="ref_ths_sage_reel_<?php echo $famille->getIdFamille()?>_<?php echo $bloc?>_<?php echo $ligne?>" name="bloc[<?php echo $famille->getIdFamille()?>][<?php echo $bloc?>][ref_fournisseur][]" value="<?php echo $article->getReferenceThsSage()?>" />
																</td>
																<td><input type="text" id="ref_ths_<?php echo $famille->getIdFamille()?>_<?php echo $bloc?>_<?php echo $ligne?>" disabled="disabled" value="<?php echo $article->getReferenceThs()?>" /></td>
																<td><input type="text" id="designation_<?php echo $famille->getIdFamille()?>_<?php echo $bloc?>_<?php echo $ligne?>" disabled="disabled" value="<?php echo $article->getDesignationCourte()?>" /></td>
																<td><input type="text" id="prix_<?php echo $famille->getIdFamille()?>_<?php echo $bloc?>_<?php echo $ligne?>" size="6" disabled="disabled" value="<?php echo $article->getPrixVenteHt()?>" /></td>
																<td><input type="text" id="poids_<?php echo $famille->getIdFamille()?>_<?php echo $bloc?>_<?php echo $ligne?>" size="6" disabled="disabled" value="<?php echo $article->getPoids()?>" /></td>
																<td><input type="text" id="ordre_<?php echo $famille->getIdFamille()?>_<?php echo $bloc?>_<?php echo $ligne?>" size="2" name="bloc[<?php echo $famille->getIdFamille()?>][<?php echo $bloc?>][ordre][]" value="<?php echo $asso->getOrdre()?>" /></td>
																<td>
																	<ul class="sf_admin_td_actions">
																		<li class="sf_admin_action_delete">
																			<a style="cursor:pointer;" onclick="if (confirm('Etes vous sûr ??')) { supprimerLigne('articles_<?php echo $famille->getIdFamille()?>_<?php echo $bloc?>' ,'ligne_<?php echo $famille->getIdFamille()?>_<?php echo $bloc?>_<?php echo $ligne?>') };return false;">Supprimer</a>
																		</li>
																	</ul>
																</td>
															</tr>
															<?php $ligne++?>
									      				<?php endforeach?>
								      				</tbody>
								      			</table>
								      		</div>
								    	</div>
								  	</div>
								</fieldset>
							</div>
							<?php $bloc++?>
						<?php endif?>
					<?php endforeach?>
					</div>
				<?php endforeach;?>
				<ul class="sf_admin_actions">
					<li class="sf_admin_action_save">
						<input type="submit" name="btnEnregistrer" value="Enregistrer" />
					</li>
				</ul>
		  	</div>
		<?php endif?>
	</form>
  	<div id="sf_admin_footer"></div>
</div>