<div id="article">
	<?php if($sf_user->hasFlash("panier_ajout")):?>
		<div id="panier_ajout_principal">Cet article a bien été ajouté au panier <?php if($sf_user->getFlash('totalTTC') >= $sf_user->getFlash('minimumCommande')):?><?php echo link_to("Voir mon panier", "@panier")?><?php endif?></div>
	<?php endif?>
	<h1><?php echo $article->getDesignationCourte()?></h1>
	<table id="article_principal">
		<tr>
			<td width="370" align="center" valign="middle">
				<?php 
					$info = getimagesize(image_path("articles/".strtoupper($article->getReferenceThs()).".jpg", true));
					if($info[0] > 350)
					{
						$info[1] = ceil($info[1] * 100 * 350 / $info[0] / 100);
						$info[0] = 350;
					}
					
					if($info[1] > 380)
					{
						$info[0] = ceil($info[0] * 100 * 380 / $info[1] / 100);
						$info[1] = 380;
					}
				?>
				<?php echo image_tag("articles/".strtoupper($article->getReferenceThs()).".jpg", array("title" => $article->getDesignationCourte(), "alt" => $article->getDesignationCourte(), "width"=> $info[0], "height"=> $info[1]))?>
			</td>
			<td id="bloc_detail">
				<table id="detail">
					<tr>
						<td class="designationDetaillee"><?php echo $article->getDesignationDetaillee()?></td>
					</tr>
					<tr>
						<td>
							<p class="information">
								<?php if($article->getSpecificite() != "0" && $article->getSpecificite() != ""):?>
									<span class="specificite"><?php echo $article->getSpecificite()?></span><br />
								<?php endif?>
								<?php if($article->getDimensionsA() != "0" && $article->getDimensionsA() != ""):?>
									Dimension: <?php echo $article->getDimensionsA()?><br />
								<?php endif?>
								<?php if($article->getDimensionsB() != "0" && $article->getDimensionsB() != ""):?>
									Dimension: <?php echo $article->getDimensionsB()?><br />
								<?php endif?>
								<?php if($article->getMatiere() != "0" && $article->getMatiere() != ""):?>
									Matière de la pièce: <?php echo $article->getMatiere()?><br />
								<?php endif?>
								<?php if($article->getPressionMaximum() != "0" && $article->getPressionMaximum() != ""):?>
									Pression maximum: <?php echo $article->getPressionMaximum()?> bar<br />
								<?php endif?>
								<?php if($article->getTemperatureMaximum() != "0" && $article->getTemperatureMaximum() != ""):?>
									Température maximum: <?php echo $article->getTemperatureMaximum()?> °C<br />
								<?php endif?>
								<?php if($article->getDiametreNominal() != "0" && $article->getDiametreNominal() != ""):?>
									Diamètre nominal: <?php echo $article->getDiametreNominal()?><br />
								<?php endif?>
								<?php if($article->getReferenceMetriqueEntree() != "0" && $article->getReferenceMetriqueEntree() != ""):?>
									Raccord d'entrée: <?php echo $article->getReferenceMetriqueEntree()?>
									<?php if($article->getSexeEntree() != "0" && $article->getSexeEntree() != ""):?>
										 - <?php echo $article->getSexeEntree()?>
										 <?php if( $article->getPrecisionSupplementaireEntree() != "0" &&  $article->getPrecisionSupplementaireEntree() != ""):?>
										 	 - <?php echo $article->getPrecisionSupplementaireEntree()?>
										 <?php endif?>
									<?php endif?><br />
								<?php endif?>
								<?php if($article->getReferenceMetriqueSortie() != "0" && $article->getReferenceMetriqueSortie() != ""):?>
									Raccord de sortie: <?php echo $article->getReferenceMetriqueSortie()?>
									<?php if($article->getSexeSortie() != "0" && $article->getSexeSortie() != ""):?>
										 - <?php echo $article->getSexeSortie()?>
										 <?php if( $article->getPrecisionSupplementaireSortie() != "0" &&  $article->getPrecisionSupplementaireSortie() != ""):?>
										 	 - <?php echo $article->getPrecisionSupplementaireSortie()?>
										 <?php endif?>
									<?php endif?><br />
								<?php endif?>
								<?php if($article->getDebitMax() != "0" && $article->getDebitMax() != ""):?>
									Débit maximum: <?php echo $article->getDebitMax()?> litres/minute<br />
								<?php endif?>
							</p>
						</td>
					</tr>
				</table>
				<table cellpadding="0" cellspacing="0">
					<tr>
						<td class="information_bas">
							<?php if($article->getPoids() != "0" && $article->getPoids() != ""):?>
								Poids: <?php echo $article->getPoids()?> Kg<br />
							<?php endif?>
						</td>
						<td rowspan="2">
							<div  class="petit_panier">
								<p class="spacer"></p>
								<div class="petit_panier_haut"></div>
								<div class="petit_panier_milieu">
									<table>
										<tr class="prixht"><td class="prix"><?php echo str_replace(".", ",", $article->getPrixVenteThs())?></td><td>€ ht</td></tr>
										<tr class="prixttc"><td class="prix"><?php echo str_replace(".", ",", $article->getPrixTtc())?></td><td>€ ttc</td></tr>
										<tr><td colspan="2" class="caddie"><?php echo link_to("Commander", "@panier_ajouter_article?id_article=".$article->getReferenceThs())?></td></tr>
									</table>
								</div>
								<div class="petit_panier_bas"></div>
							</div>
						</td>
					</tr>
					<tr>
						<td class="information_bas_bis"><span class="reference">Référence:</span> <?php echo $article->getReferenceThs()?></td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
	<?php if($sf_user->hasFlash("panier_ajout")):?>
		<div id="panier_ajout_second">Cet article a bien été ajouté au panier</div>
	<?php endif?>
	<hr />
	<?php if(sizeof($nettoyeurs) > 0):?>
		<div id="nettoyeur">
			<p class="entete">Accessoires compatible avec : </p>
			<div class="liste">
				<?php $marque = null; $reference = ""; foreach($nettoyeurs as $nettoyeur):?>
					<?php if($marque != $nettoyeur->getMarque()->getLibelle()):?>
						<?php if($reference != ""):?>
							<p class="reference"><?php echo substr($reference, 0, -3)?></p>
							<?php $reference = ""?>
						<?php endif?>
						<p class="marque"><?php echo $nettoyeur->getMarque()->getLibelle()?> :</p>
						<?php $marque = $nettoyeur->getMarque()->getLibelle()?>
					<?php endif?>
					<?php $reference .= link_to($nettoyeur->getModele(), "@url_nettoyeur?marque=".Utils::slugify($nettoyeur->getMarque()->getLibelle())."&modele=".Utils::slugify($nettoyeur->getModele()), array("target"=>"_blank")) ." - "?>
				<?php endforeach;?>
				<p class="reference"><?php echo substr($reference, 0, -3)?></p>
			</div>
		</div>
	<?php endif?>
</div>