<?php

/**
 * index actions.
 *
 * @package    sf_sandbox
 * @subpackage index
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class indexActions extends sfActions
{
    /**
     * Executes index action
     *
     * @param sfRequest $request A request object
     */
    public function executeIndex(sfWebRequest $request)
    {

    }

    public function executeBackupDatabase(sfWebRequest $request)
    {
        $liste = BackupConfigTable::getListDayByType("bdd");

        if (array_key_exists(date("j"), $liste)) {
            $debut = time();
            $date = date("Ymd-His");

            $host = "mysql5-3";
            $user = "hautepression";
            $password = "qLIc8Dn8";
            $database = "hautepression";

            // Création du répertoire
            mkdir("/homez.41/hautepre/backup/".$date);

            // Création des sauvegardes
            system("mysqldump --host=".$host." --user=".$user." --password=".$password." ".$database." | gzip > /homez.41/hautepre/backup/".$date."/".$date."_databases.gz");

            // Envoi des sauvegarde sur le FTP distant
            // Mise en place d'une connexion basique
            $conn_id = ftp_connect("ftp.lybliamay.fr");

            // Identification avec un nom d'utilisateur et un mot de passe
            $login_result = ftp_login($conn_id, "aznmeet-shp", "B3yzR76p");

            $backupStatut = true;

            // Vérification de la connexion
            if ((!$conn_id) || (!$login_result)) {
                $backupStatut = false;
                mail("yenkong@lybliamay.fr", "Sauvegarde THS", "Connexion échoué au FTP");
            }

            if ($backupStatut) {
                // Création du répertoire distant
                if (!ftp_mkdir($conn_id, $date)) {
                    $backupStatut = false;
                    mail("yenkong@lybliamay.fr", "Sauvegarde THS", "Impossible de créer le répertoire distant");
                }

                if ($backupStatut) {
					ftp_pasv($conn_id, true);
                    // Chargement d'un fichier
                    $upload1 = ftp_put($conn_id, $date."/".$date."_databases.gz", "/homez.41/hautepre/backup/".$date."/".$date."_databases.gz", FTP_BINARY);

                    // Vérification du status du chargement
                    if (!$upload1) {
                        $backupStatut = false;
                        mail("yenkong@lybliamay.fr", "Sauvegarde THS", "La sauvegarde databases du $date a échoué".$message);
                    }
                }

                // Fermeture du flux FTP
                ftp_close($conn_id);
            }

            $fin = time();
            $duration = $fin-$debut;
            $bd = new BackupData();
            $bd->setType("bdd");
            $bd->setDateTime(date("Y-m-d H:i:s"));
            $bd->setDuration($duration);
            $bd->setStatut($backupStatut);
            $bd->save();
        }
        
        return sfView::NONE;
    }

    public function executeBackupSource(sfWebRequest $request)
    {
        $liste = BackupConfigTable::getListDayByType("source");

        if (array_key_exists(date("j"), $liste)) {
            $debut = time();
            $date = date("Ymd-His");

            $host = "mysql5-3";
            $user = "hautepression";
            $password = "qLIc8Dn8";
            $database = "hautepression";

            // Création du répertoire
            mkdir("/homez.41/hautepre/backup/".$date);

            // Création des sauvegardes
            system("tar -czpf /homez.41/hautepre/backup/".$date."/".$date."_sources_sf.tgz /homez.41/hautepre/symfony_haute_pression");
            // system("tar -cvzpf /homez.41/hautepre/backup/".$date."/".$date."_sources_www.tgz /homez.41/hautepre/www");

            // Envoi des sauvegarde sur le FTP distant
            // Mise en place d'une connexion basique
            $conn_id = ftp_connect("ftp.lybliamay.fr");

            // Identification avec un nom d'utilisateur et un mot de passe
            $login_result = ftp_login($conn_id, "aznmeet-shp", "B3yzR76p");

            $backupStatut = true;

            // Vérification de la connexion
            if ((!$conn_id) || (!$login_result)) {
                $backupStatut = false;
                mail("yenkong@lybliamay.fr", "Sauvegarde THS", "Connexion échoué au FTP");
            }

            if ($backupStatut) {
                // Création du répertoire distant
                if (!ftp_mkdir($conn_id, $date)) {
                    $backupStatut = false;
                    mail("yenkong@lybliamay.fr", "Sauvegarde THS", "Impossible de créer le répertoire distant");
                }

                if ($backupStatut) {
				ftp_pasv($conn_id, true);
                    $upload2 = ftp_put($conn_id, $date."/".$date."_sources_sf.tgz", "/homez.41/hautepre/backup/".$date."/".$date."_sources_sf.tgz", FTP_BINARY);

                    // Vérification du status du chargement
                    if (!$upload2) {
                        $backupStatut = false;
                        mail("yenkong@lybliamay.fr", "Sauvegarde THS", "La sauvegarde sources_sf du $date a échoué");
                    }

                    /*$upload3 = ftp_put($conn_id, $date."/".$date."_sources_www.tgz", "/homez.41/hautepre/backup/".$date."/".$date."_sources_www.tgz", FTP_BINARY);

                    // Vérification du status du chargement
                    if (!$upload3) {
                        $backupStatut = false;
                        mail("yenkong@lybliamay.fr", "Sauvegarde THS", "La sauvegarde sources_www du $date a échoué");
                    }*/
                }

                // Fermeture du flux FTP
                ftp_close($conn_id);
            }

            $fin = time();
            $duration = $fin-$debut;
            $bd = new BackupData();
            $bd->setType("source");
            $bd->setDateTime(date("Y-m-d H:i:s"));
            $bd->setDuration($duration);
            $bd->setStatut($backupStatut);
            $bd->save();
        }
        
        return sfView::NONE;
    }

    public function executeContact(sfWebRequest $request)
    {
        sfContext::getInstance()->getConfiguration()->loadHelpers("Url");
        $filAriane = ' > <a href="'.url_for("@contact").'">Contact</a>';
        $this->getUser()->setFlash("filAriane", $filAriane);
        $this->getResponse()->addMeta('title', 'Contact');
        $this->getResponse()->addMeta('description',  'Contact');

        $this->form = new ContactForm();
        $this->typeContact = "";
        $this->mailEnvoye = 0;
        
        if ($request->hasParameter("id_nettoyeur")) {
            $nettoyeur = Doctrine::getTable("NettoyeurHautePression")->find($request->getParameter("id_nettoyeur"));
            $this->form->setDefault("description", "Bonjour,\n\nje souhaiterais avoir des informations sur le nettoyeur haute pression ".$nettoyeur->getMarque()->getLibelle()." ".$nettoyeur->getModele().".\n\nCordialement,");
            $this->typeContact = 1;
        }

        if ($request->isMethod("POST")) {
            if ($request->hasParameter("typeContact")) {
                $this->form->setDefault("type", $request->getParameter("typeContact"));

                if ($request->getParameter("typeContact") == "professionnel") {
                    $this->typeContact = 1;
                } else {
                    $this->typeContact = 2;
                }
            } else {
                $this->form->bind($request->getParameter("contact"));

                if($this->form->getValue("type") == "professionnel") {
                    $this->typeContact = 1;
                } else {
                    $this->typeContact = 2;
                }

                if ($this->form->isValid()) {
                    $values = $this->form->getValues();
                    // Envoi mail

                    $sender = $values['email'];
                    $objet = 'Contact';
                    $body = "Type : ".$values['type']."<br />"
                                    ."Nom : ".$values['nom']."<br />"
                                    ."Téléphone : ".$values['telephone']."<br />"
                                    ."Email : ".$values['email']."<br />"
                                    ."Code postal : ".$values['code_postal']."<br />"
                                    ."Message : <br />".$values['description'];

                    $receiver = sfConfig::get("app_contact_email");
                    $mailing = $this->getMailer()->compose($sender, $receiver, $objet,'')->setBody($body, 'text/html');
                    $this->mailEnvoye = $this->getMailer()->send($mailing);
                }
            }
        }
    }
    
    public function executeNewContact(sfWebRequest $request)
    {
        sfContext::getInstance()->getConfiguration()->loadHelpers("Url");
        $filAriane = ' > <a href="'.url_for("@contact").'">Contact</a>';
        $this->getUser()->setFlash("filAriane", $filAriane);
        $this->getResponse()->addMeta('title', 'Contact');
        $this->getResponse()->addMeta('description',  'Contact');

        $this->form = new ContactForm();
        $this->typeContact = "";
        $this->mailEnvoye = 0;
        
        if ($request->hasParameter("id_nettoyeur")) {
            $nettoyeur = Doctrine::getTable("NettoyeurHautePression")->find($request->getParameter("id_nettoyeur"));
            $this->form->setDefault("description", "Bonjour,\n\nje souhaiterais avoir des informations sur le nettoyeur haute pression ".$nettoyeur->getMarque()->getLibelle()." ".$nettoyeur->getModele().".\n\nCordialement,");
            $this->typeContact = 1;
        }

        if ($request->isMethod("POST")) {
            if ($request->hasParameter("typeContact")) {
                $this->form->setDefault("type", $request->getParameter("typeContact"));

                if ($request->getParameter("typeContact") == "professionnel") {
                    $this->typeContact = 1;
                } else {
                    $this->typeContact = 2;
                }
            } else {
                $this->form->bind($request->getParameter("contact"));

                if($this->form->getValue("type") == "professionnel") {
                    $this->typeContact = 1;
                } else {
                    $this->typeContact = 2;
                }

                if ($this->form->isValid()) {
                    $values = $this->form->getValues();
                    
		    // Envoi mail
		    $mailSujet = new MailSujet();
		    $mailSujet->setType($values['type']);
		    $mailSujet->setNom($values['nom']);
		    $mailSujet->setTelephone($values['telephone']);
		    $mailSujet->setCodePostal($values['code_postal']);
		    $mailSujet->setMessage($values['description']);
		    $mailSujet->setEmail($values['email']);
		    $mailSujet->setCode(uniqid());
		    $mailSujet->setDateReception(date("Y-m-d H:i:s"));
		    $mailSujet->setStatut(MailSujet::STATUT_NOUVEAU);
		    $mailSujet->save();
		    $this->mailEnvoye = 1;

                    $sender = $values['email'];
                    $objet = 'Contact';
                    $body = "Type : ".$values['type']."<br />"
                                    ."Nom : ".$values['nom']."<br />"
                                    ."Téléphone : ".$values['telephone']."<br />"
                                    ."Email : ".$values['email']."<br />"
                                    ."Code postal : ".$values['code_postal']."<br />"
                                    ."Message : <br />".$values['description'];

                    $receiver = sfConfig::get("app_contact_email");
                    //$mailing = $this->getMailer()->compose($sender, $receiver, $objet,'')->setBody($body, 'text/html');
                    //$this->mailEnvoye = $this->getMailer()->send($mailing);
                }
            }
        }
    }

    public function executeSurveillancePrix(sfWebRequest $request)
    {
        
    }
}
