<script type="text/javascript">
	function plusDetails(){
		if($('#plusDetailsNettoyeur').css('display') == "block"){
			$('#plusDetailsNettoyeur').slideUp('slow', function(){});
		}else{
			$('#plusDetailsNettoyeur').slideDown('slow', function(){});
		}
	}
</script>
<div id="nettoyeur">
	<?php if($sf_user->hasFlash("panier_ajout")):?>
		<div id="panier_ajout_principal"><?php echo __('Ce nettoyeur a bien été ajouté au panier')?> <?php if($totalTTC >= $minimumCommande):?><?php echo link_to(__("Voir mon panier"), "@panier")?><?php endif?></div>
	<?php endif?>
	<div id="entete_nettoyeur">
		<table class="general">
			<tr>
				<td rowspan="2" class="photo">
					<?php 
						if($nettoyeur->getPhoto_1() != "")
						{
							$info = getimagesize(image_path("nettoyeurs/".$nettoyeur->getPhoto_1(), true));
							$url = "nettoyeurs/".$nettoyeur->getPhoto_1();
						}
						else
						{ 
							$info[0] = 550;
							$info[1] = 500;
							$url = "image_nhp_defaut.jpg";
						}

						if($info[0] > 220)
						{
							$info[1] = ceil($info[1] * 100 * 220 / $info[0] / 100);
							$info[0] = 220;
						}
						if($info[1] > 160)
						{
							$info[0] = ceil($info[0] * 100 * 160 / $info[1] / 100);
							$info[1] = 160;
						}
						echo image_tag($url, array("title" => __("Nettoyeur")." ".$nettoyeur->getMarque()->getLibelle()." ".$nettoyeur->getModele(), "alt" => __("Nettoyeur")." ".$nettoyeur->getMarque()->getLibelle()." ".$nettoyeur->getModele(), "width"=> $info[0], "height"=> $info[1]));
					?>
				</td>
				<td class="space"></td>
				<td class="titre">
					<h1><?php echo __('Nettoyeur')?> <?php echo $nettoyeur->getMarque()->getLibelle()?> <?php echo $nettoyeur->getModele()?></h1>
				</td>
				<td>
					<?php if(!$nettoyeur->getPlusFabriquer()):?>
						<?php if($nettoyeur->getDisponibleVente()):?>
							<?php if($nettoyeur->getAfficherPrix()):?>
								<?php $tva = Doctrine_Core::getTable("TauxTVA")->find(sfConfig::get('app_tva_196'));?>
								<div class="petit_panier">
									<div class="petit_panier_haut"></div>
									<div class="petit_panier_milieu">
										<table>
											<tr class="prixht"><td class="prix"><?php echo str_replace(".", ",", $nettoyeur->getPrixVenteThs())?></td><td width="30px"><?php echo __('€')?> <?php echo __('ht')?></td></tr>
											<tr class="prixttc"><td class="prix"><?php echo str_replace(".", ",", round($nettoyeur->getPrixVenteThs() * (1 + $tva->getTaux() / 100), 2))?></td><td width="28px"><?php echo __('€')?> <?php echo __('ttc')?></td></tr>
											<tr><td colspan="2" class="caddie"><?php echo link_to(__("Commander"), "@panier_ajouter_nettoyeur?id_nettoyeur=".$nettoyeur->getIdNettoyeur())?></td></tr>
										</table>
									</div>
									<div class="petit_panier_bas"></div>
								</div>
							<?php else:?>
								<div class="statut"><?php echo link_to(__('Disponible à la vente,<br />nous contacter'), "@contact?id_nettoyeur=".$nettoyeur->getIdNettoyeur())?></div>
							<?php endif;?>
						<?php else:?>
							<div class="statut"><?php echo __('Non disponible<br />à la vente')?></div>
						<?php endif?>
					<?php else:?>
						<div class="statut"><?php echo __('Plus disponible<br />à la vente')?></div>
					<?php endif?>
				</td>
			</tr>
			<tr>
				<td class="space"></td>
				<td colspan="2">
					<table class="detail">
						<tr>
							<td class="detail_general">
								<?php 
									$donnees = "";
									if($nettoyeur->getPosteFixe())
									{
										$donnees .= __("Poste fixe")." - ";
									}
									if($nettoyeur->getGroupeMoteurPompe())
									{
										$donnees .= __("Groupe moteur pompe")." - ";
									}
									if($nettoyeur->getEauFroide())
									{
										$donnees .= __("Eau froide")." - ";
									}
									if($nettoyeur->getEauChaude())
									{
										$donnees .= __("Eau chaude")." - ";
									}
									if($nettoyeur->getVapeur() && $nettoyeur->getTemperature() != "")
									{
										$donnees .= __("Vapeur")." ".str_replace(".00", "", $nettoyeur->getTemperature()).__("°C")." - ";
									}
									else
									{
										if($nettoyeur->getVapeur())
										{
											$donnees .= __("Vapeur")." - ";
										}
										if($nettoyeur->getTemperature() != "")
										{
											$donnees .= __("Température")." ".str_replace(".00", "", $nettoyeur->getTemperature()).__("°C")." - ";
										}
									}
									if($nettoyeur->getPressionService() != "")
									{
										$donnees .= $nettoyeur->getPressionService()." ".__("bar")." - ";
									}
									echo substr($donnees, 0, -3)
								?><br />
								<?php if($nettoyeur->getDebitLitreMin() != ""):?>
									<?php echo $nettoyeur->getDebitLitreMin()?> <?php echo __("l/mn")?> (<?php echo $nettoyeur->getDebitLitreHeure()?> <?php echo __("l/h")?>)<br />
								<?php endif;?>
								<?php 
									$donnees = "";
									if($nettoyeur->getElectrique_220())
									{
										$donnees .= __("220 Volts")." - ";
										if($nettoyeur->getElectrique_220A() != "")
										{
											$donnees .= str_replace(".00", "", $nettoyeur->getElectrique_220A())." ".__("A")." - ";
										}
										if($nettoyeur->getElectrique_220Kw() != "")
										{
											$donnees .= str_replace(".00", "", $nettoyeur->getElectrique_220Kw())." ".__("kW")." - ";
										}
										if($nettoyeur->getElectrique_220Hz() != "")
										{
											$donnees .= str_replace(".00", "", $nettoyeur->getElectrique_220Hz())." ".__("Hz")." - ";
										}
									}
									if($nettoyeur->getElectrique_380())
									{
										$donnees .= __("380 Volts")." - ";
										if($nettoyeur->getElectrique_380A() != "")
										{
											$donnees .= str_replace(".00", "", $nettoyeur->getElectrique_380A())." ".__("A")." - ";
										}
										if($nettoyeur->getElectrique_380Kw() != "")
										{
											$donnees .= str_replace(".00", "", $nettoyeur->getElectrique_380Kw())." ".__("kW")." - ";
										}
										if($nettoyeur->getElectrique_380Hz() != "")
										{
											$donnees .= str_replace(".00", "", $nettoyeur->getElectrique_380Hz())." ".__("Hz")." - ";
										}
									}
			
									if($nettoyeur->getMoteurThermique())
									{
										$donnees .= $nettoyeur->getMoteurThermiqueInfo()." - ";
									}
									echo substr($donnees, 0, -3);
								?>
							</td>
							<?php if($nettoyeur->doc_commercial != ""):?>
								<td class="detail_documentation_commercial">
									<?php echo __('Documentation Commercial')?>
								</td>
								<td class="detail_documentation_commercial_pdf">
									<a href="<?php echo _compute_public_path("1/3/".$nettoyeur->doc_commercial,"pdf", false)?>" target="_blank"><?php echo image_tag("pdf1.jpg")?></a>
								</td>
							<?php endif?>
							<?php if($nettoyeur->eclate_technique != ""):?>
								<td class="eclate_technique">
									<?php echo __('Eclaté technique sur demande')?>
								</td>
								<td class="eclate_technique_pdf">
									<a href="<?php echo _compute_public_path("1/2/".$nettoyeur->eclate_technique,"pdf", false)?>" target="_blank"><?php echo image_tag("pdf2.jpg")?></a>
								</td>
							<?php endif?>
						</tr>
					</table>
				</td>
			</tr>
		</table>
	</div>
	<?php if($sf_user->hasFlash("panier_ajout")):?>
		<div id="panier_ajout_second"><?php echo __('Ce nettoyeur a bien été ajouté au panier')?></div>
	<?php endif?>
	<hr />
	<?php if($nettoyeur->getDisponibleVente() && !$nettoyeur->getPlusFabriquer()):?>
		<div id="details">
			<div class="plusLoupe" onclick="plusDetails()"><p><label><?php echo __('Plus de détails')?></label></p></div>
			<hr />
			<div id="plusDetailsNettoyeur" style="display:none">
				<h1><?php echo __('Nettoyeur')?> <?php echo $nettoyeur->getMarque()->getLibelle()?> <?php echo $nettoyeur->getModele()?></h1>
				<table>
					<tr>
						<td class="description">
							<?php 
								if($nettoyeur->getPhoto_1() != "") 
								{
									$info = getimagesize(image_path("nettoyeurs/".$nettoyeur->getPhoto_1(), true));
									$url = "nettoyeurs/".$nettoyeur->getPhoto_1();
								}
								else
								{
									$info[0] = 550;
									$info[1] = 500;
									$url = "image_nhp_defaut.jpg";
								}
								
								if($info[0] > 350)
								{
									$info[1] = ceil($info[1] * 100 * 350 / $info[0] / 100);
									$info[0] = 350;
								}
								if($info[1] > 290)
								{
									$info[0] = ceil($info[0] * 100 * 290 / $info[1] / 100);
									$info[1] = 290;
								}
								echo image_tag($url, array("title" => __("Nettoyeur")." ".$nettoyeur->getMarque()->getLibelle()." ".$nettoyeur->getModele(), "alt" => __("Nettoyeur")." ".$nettoyeur->getMarque()->getLibelle()." ".$nettoyeur->getModele(), "width"=> $info[0], "height"=> $info[1]));
							?>
							<?php 
								$filename = sfConfig::get("app_page_html_nhp").$nettoyeur->getIdNettoyeur().".html";
								if(file_exists($filename))
								{
									$description = file_get_contents($filename);
								}
								else
								{
									$description = html_entity_decode($nettoyeur->getDescription());
								}
								echo $description;
								if(sizeof($nomenclatures) > 0)
								{
									echo '<ul>';
									foreach($nomenclatures as $asso)
									{
										if($asso->getNomenclature()->getReference() == "19999")
										{
											echo '<li style="margin-bottom: 15px;list-style: none outside none;"></li>';
										}
										else
										{
											if($asso->getGras())
											{
												echo '<li style="font-weight: bold; margin-bottom: 3px; list-style: none outside none;">',$asso->getNomenclature()->getDesignation(),'</li>';
											}
											else
											{
												echo '<li style="margin-bottom: 0px; margin-left: 20px;">',$asso->getNomenclature()->getDesignation(),'</li>';
											}
										}
									}
									echo '</ul>';
								}
							?>
						</td>
					</tr>
				</table>
				<hr />
			</div>
		</div>
	<?php endif?>
	<?php if(sizeof($associations) > 0):?>
		<div id="accessoires">
			<p class="entete"><?php echo __('Accessoires compatible avec')?> <?php echo $nettoyeur->getMarque()->getLibelle()." ".$nettoyeur->getModele()?> :</p>
			<div id="plusDetailsArticle">
				<?php $famille = null; $id_association = null;?>
				<?php foreach($associations as $association):?>
					<?php if($association->getFamille()->getLibelle() != $famille):?>
						<?php $famille = $association->getFamille()->getLibelle()?>
						<p class="titre"><?php echo $association->getFamille()->getLibelle()?></p>
					<?php endif?>
					<?php $articles = $association->getArticles()?>
					<?php 
						$info = getimagesize(image_path("articles/".$articles[0]->getReferenceThs().".jpg", true));

						if($info[0] > 200)
						{
							$info[1] = ceil($info[1] * 100 * 200 / $info[0] / 100);
							$info[0] = 200;
						}
						if($info[1] > 110)
						{
							$info[0] = ceil($info[0] * 100 * 110/ $info[1] / 100);
							$info[1] = 110;
						}
					?>
					<table>
						<tr>
							<td class="photo"><?php echo image_tag("articles/".$articles[0]->getReferenceThs().".jpg", array("alt" => $articles[0]->getDesignationCourte(), "title" => $articles[0]->getDesignationCourte(), "width"=> $info[0], "height"=> $info[1]))?></td>
							<td class="spacer"></td>
							<td class="details">
								<table>
									<?php if($association->getTexte() != ""):?>
										<tr>
											<td><p class="sous_titre"><?php echo $association->getTexte()?></p></td>
											<td></td>
										</tr>
										<tr>
											<td colspan="2">&nbsp;</td>
										</tr>
									<?php endif?>
									<?php foreach($articles as $article):?>
										<tr>
											<td><?php echo $article->getDesignationCourte()?></td>
											<td class="voir"><?php echo link_to(__("Voir"), "@url_article?famille=".strtolower(Utils::slugify($article->getFamille()->getLibelle()))."&reference_ths=".strtolower($article->getReferenceThs()))?></td>
										</tr>
									<?php endforeach;?>
								</table>
							</td>
						</tr>
					</table>
					<br /><hr />
				<?php endforeach;?>
			</div>
		</div>
	<?php endif?>
</div>