<?php use_helper('I18N') ?>
<div id="panier">
	<div id="panierEntete">
		<p>Mon panier</p>
		<ul>
			<li><?php echo link_to("1 - Calcul du panier", "@panier")?></li>
			<li class="selected">2 - Coordonnées</li>
			<li>3 - Récapitulatif</li>
			<li>4 - Paiement</li>
		</ul>
	</div>
	<div style="clear: both;"></div>
	<?php echo get_partial('sfGuardAuth/coordonnees_signin_form', array('userForm' => $userForm)) ?>
	<?php echo form_tag('@panier_coordonnees') ?>
		<?php echo $form['_csrf_token']->render()?>
		<?php echo $form['id']->render()?>
		<table id="coordoneesPanier">
			<tr class="coordoneesPanierTr">
				<td class="coordoneesPanierTd"><span class="entete">Adresse de facturation</span></td>
				<td class="coordoneesPanierTd"><span class="entete">Adresse de livraison</span></td>
			</tr>
			<tr class="coordoneesPanierTr">
				<td class="coordoneesPanierTd">
					<table>
						<tr>
							<td class="libelle">Civilité</td>
							<td><?php echo $form['civilite']->render()?></td>
						</tr>
						<tr>
							<td></td>
							<td><?php echo $form['civilite']->renderError()?></td>
						</tr>
						<tr>
							<td class="libelle">Nom</td>
							<td>
								<?php echo $form['nom']->render()?>
							</td>
						</tr>
						<tr>
							<td></td>
							<td><?php echo $form['nom']->renderError()?></td>
						</tr>
						<tr>
							<td class="libelle">Prénom</td>
							<td><?php echo $form['prenom']->render()?></td>
						</tr>
						<tr>
							<td></td>
							<td><?php echo $form['prenom']->renderError()?></td>
						</tr>
						<tr>
							<td class="libelle">Adresse</td>
							<td><?php echo $form['adresse']->render()?></td>
						</tr>
						<tr>
							<td class="libelle">Complément d'adresse</td>
							<td><?php echo $form['adresse_complement']->render()?></td>
						</tr>
						<tr>
							<td></td>
							<td><?php echo $form['adresse']->renderError()?></td>
						</tr>
						<tr>
							<td class="libelle">Code postal</td>
							<td><?php echo $form['code_postal']->render()?></td>
						</tr>
						<tr>
							<td></td>
							<td><?php echo $form['code_postal']->renderError()?></td>
						</tr>
						<tr>
							<td class="libelle">Ville</td>
							<td><?php echo $form['ville']->render()?></td>
						</tr>
						<tr>
							<td></td>
							<td><?php echo $form['ville']->renderError()?></td>
						</tr>
						<tr>
							<td class="libelle">Pays</td>
							<td><?php echo $form['pays']->render()?></td>
						</tr>
						<tr>
							<td></td>
							<td><?php echo $form['pays']->renderError()?></td>
						</tr>
						<tr>
							<td class="libelle">Téléphone</td>
							<td><?php echo $form['telephone']->render()?></td>
						</tr>
						<tr>
							<td></td>
							<td><?php echo $form['telephone']->renderError()?></td>
						</tr>
						<tr>
							<td class="libelle">Fax</td>
							<td><?php echo $form['fax']->render()?></td>
						</tr>
						<tr>
							<td></td>
							<td><?php echo $form['fax']->renderError()?></td>
						</tr>
						<tr>
							<td class="libelle">E-mail</td>
							<td>
								<?php if($sf_user->isAuthenticated()):?>
									<?php echo $form['email_address']->render(array("readonly" => "readonly"))?>
								<?php else:?>
									<?php echo $form['email_address']->render()?>
								<?php endif?>
							</td>
						</tr>
						<tr>
							<td></td>
							<td><?php echo $form['email_address']->renderError()?></td>
						</tr>
						<tr>
							<td class="libelle">Confirmation E-mail</td>
							<td>
								<?php if($sf_user->isAuthenticated()):?>
									<?php echo $form['email_confirmation']->render(array("readonly" => "readonly"))?>
								<?php else:?>
									<?php echo $form['email_confirmation']->render()?>
								<?php endif?>
							</td>
						</tr>
						<tr>
							<td></td>
							<td><?php echo $form['email_confirmation']->renderError()?></td>
						</tr>
					</table>
				</td>
				<td class="coordoneesPanierTd">
					<table>
						<tr>
							<td><?php echo $form['livraison_civilite']->render()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_civilite']->renderError()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_nom']->render()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_nom']->renderError()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_prenom']->render()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_prenom']->renderError()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_adresse']->render()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_adresse_complement']->render()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_adresse']->renderError()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_code_postal']->render()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_code_postal']->renderError()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_ville']->render()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_ville']->renderError()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_pays']->render()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_pays']->renderError()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_telephone']->render()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_telephone']->renderError()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_fax']->render()?></td>
						</tr>
						<tr>
							<td><?php echo $form['livraison_fax']->renderError()?></td>
						</tr>
						<tr>
							<td>
								<p>Note sur la livraison :</p>
								<?php echo $form['livraison_note']->render()?>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
		<p class="boutonValider"><input type="submit" value="Valider les coordonnées" /></p>
	</form>
</div>