<?php

/**
 * pompe actions.
 *
 * @package    sf_sandbox
 * @subpackage pompe
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class pompeActions extends sfActions
{
	/**
	 * Executes index action
	 *
	 * @param sfRequest $request A request object
	 */
	public function executeIndex(sfWebRequest $request)
	{
		if($request->hasParameter("marque") && $request->hasParameter("modele"))
		{
			$this->pompe = PompeTable::getPompeByMarqueModeleFromUrl($request->getParameter("marque"), $request->getParameter("modele"));
		}
		
		$this->forward404If(!($this->pompe instanceof Pompe));
		
		$filAriane = ' > <a href="'.$this->pompe->getUrlArticle().'">'.$this->pompe->getBaliseTitle().'</a>';
		$this->getUser()->setFlash("filAriane", $filAriane);
		$this->getResponse()->addMeta('title', $this->pompe->getBaliseTitle());
		$this->getResponse()->addMeta('description', $this->pompe->getBaliseMeta());
	}
}
