<?php

/**
 * support actions.
 *
 * @package    sf_sandbox
 * @subpackage support
 * @author     Your name here
 * @version    SVN: $Id: actions.class.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class supportActions extends sfActions
{
	/**
	 * Executes index action
	 *
	 * @param sfRequest $request A request object
	 */
	public function executeIndex(sfWebRequest $request)
	{
		$email = $request->getParameter('email');
		$code = $request->getParameter('code');
		
		$this->forward404If(is_null($email) || is_null($code));
		
		$this->form = new MailReponseForm();
		
		if ($request->isMethod('post')) {
			// Enregistrement de la réponse
			$this->form->bind($request->getParameter($this->form->getName()), $request->getFiles($this->form->getName()));
			$parameter = $request->getParameter($this->form->getName());
			
			$mail_reponse = new MailReponse();
			$mail_reponse->setMessage($parameter['message']);
			$mail_reponse->setIdMailSujet($parameter['id_mail_sujet']);
			$mail_reponse->setDateReponse(date("Y-m-d H:i:s"));
			$mail_reponse->save();
			
			// Envoi mail au correspondant
			$this->form = new MailReponseForm();
			
			$this->getUser()->setFlash('notice', "Votre message a bien été enregistré et transmis à votre conseiller qui vous répondra dans les plus brefs délais. Nous vous remercions de votre confiance.");
		}
		
		$this->sujet = Doctrine_Core::getTable('MailSujet')->findOneByEmailAndCode($email, $code);
		$this->form->setDefault('id_mail_sujet', $this->sujet->getId());
	}
}
