<div class="container">
	<div class="row">
		<h1>Support Technique Haute-Pression.com</h1>
		<?php if ($sf_user->hasFlash('notice')): ?>
			<div class="alert alert-success"><?php echo $sf_user->getFlash('notice') ?></div>
		<?php endif; ?>
		<p>Bonjour et bienvenue sur la page dédiée à votre demande de support effectué à partir de notre <a href="">formulaire de contact</a>.<br>
			Vous trouverez sur cette page le récapitulatif de votre demande initiale, le fil de discussion avec votre conseiller et le formulaire de réponse.<br></p>
		<p>Retourner sur <a href="">haute-pression.com</a></p>
		<h2>Détails de votre demande</h2>
		<table class="table table-bordered">
			<tbody>
				<tr>
					<td style="width: 20%"><strong>Statut</strong></td>
					<td>
						<?php if ($sujet->getStatut() == MailSujet::STATUT_NOUVEAU): ?>
							<span class="label label-default">Nouveau</span>
						<?php elseif ($sujet->getStatut() == MailSujet::STATUT_ASSIGNE): ?>
							<span class="label label-info">Assigné</span>
						<?php elseif ($sujet->getStatut() == MailSujet::STATUT_EN_COURS): ?>
							<span class="label label-primary">En cours</span>
						<?php elseif ($sujet->getStatut() == MailSujet::STATUT_RESOLU): ?>
							<span class="label label-success">Clôturer et résolu</span>
						<?php elseif ($sujet->getStatut() == MailSujet::STATUT_NON_RESOLU): ?>
							<span class="label label-danger">Clôturer et non résolu</span>
						<?php endif; ?>
					</td>
				</tr>
				<tr>
					<td><strong>Numéro de la demande</strong></td>
					<td><?php echo $sujet->getId(); ?></td>
				</tr>
				<tr>
					<td><strong>Votre correspondant</strong></td>
					<td><?php echo $sujet->getSfGuardUser()->getFirstName(); ?> <?php echo substr($sujet->getSfGuardUser()->getLastName(), 0, 1); ?>.</td>
				</tr>
				<tr>
					<td><strong>Date de réception de votre demande</strong></td>
					<td><?php $date = new DateTime($sujet->getDateReception()); echo $date->format("d/m/Y H:i"); ?></td>
				</tr>
				<tr>
					<td><strong>Votre demande initiale</strong></td>
					<td><?php echo nl2br($sujet->getMessage()); ?></td>
				</tr>
			</tbody>
		</table>
		<h2>Les échanges</h2>
		<?php if (count($sujet->getMailReponses())): ?>
			<table class="table table-condensed table-striped">
				<tbody>
					<?php foreach ($sujet->getMailReponses() as $reponse): ?>
						<tr>
							<td style="width: 20%">
								<?php if (is_null($reponse->getIdUser())): ?>
									Votre message
								<?php else: ?>
									Message de <strong><?php echo $reponse->getSfGuardUser()->getFirstName(); ?> <?php echo substr($reponse->getSfGuardUser()->getFirstName(), 0, 1); ?>.</strong>
								<?php endif; ?><br><?php $date = new DateTime($reponse->getDateReponse()); ?>Le <strong><?php echo $date->format("d/m/Y"); ?></strong> à <strong><?php echo $date->format("H:i"); ?></strong></td>
							<td><?php echo nl2br($reponse->getMessage()); ?></td>
						</tr>
					<?php endforeach; ?>
				</tbody>
			</table>
		<?php else: ?>
			<div class="alert alert-warning">Aucun échange pour le moment...</div>
		<?php endif; ?>
		<h2>Nous répondre</h2>
		<form class="form-horizontal" role="form" action="" method="post">
			<div class="form-group">
				<label for="message" class="col-sm-2 control-label">Votre message</label>
				<div class="col-sm-10">
					<?php echo $form['message']->render(array('id'=> 'message', 'placeholder' => 'Laissez nous votre message et votre conseiller vous répondra dans les plus brefs délais...', 'class' => 'form-control', 'rows' => 10)) ?>
				</div>
			</div>
			<div class="form-group">
				<div class="col-sm-offset-2 col-sm-10">
					<button type="submit" class="btn btn-success">Envoyer ma réponse</button>
				</div>
			</div>
			<?php echo $form->renderHiddenFields(); ?>
		</form>
	</div>
</div>