<?php

/**
 * Commande filter form base class.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 29570 2010-05-21 14:49:47Z Kris.Wallsmith $
 */
abstract class BaseCommandeFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'poids_total'            => new sfWidgetFormFilterInput(),
      'frais_port_ht'          => new sfWidgetFormFilterInput(),
      'total_produit_ht'       => new sfWidgetFormFilterInput(),
      'total_ht'               => new sfWidgetFormFilterInput(),
      'taux_tva'               => new sfWidgetFormFilterInput(),
      'total_ttc'              => new sfWidgetFormFilterInput(),
      'id_statut'              => new sfWidgetFormFilterInput(),
      'civilite'               => new sfWidgetFormFilterInput(),
      'nom'                    => new sfWidgetFormFilterInput(),
      'prenom'                 => new sfWidgetFormFilterInput(),
      'adresse'                => new sfWidgetFormFilterInput(),
      'adresse_complement'     => new sfWidgetFormFilterInput(),
      'code_postal'            => new sfWidgetFormFilterInput(),
      'ville'                  => new sfWidgetFormFilterInput(),
      'pays'                   => new sfWidgetFormFilterInput(),
      'telephone'              => new sfWidgetFormFilterInput(),
      'fax'                    => new sfWidgetFormFilterInput(),
      'email'                  => new sfWidgetFormFilterInput(),
      'note_livraison'         => new sfWidgetFormFilterInput(),
      'type_commande'          => new sfWidgetFormFilterInput(),
      'commande_token'         => new sfWidgetFormFilterInput(),
      'devis_token'            => new sfWidgetFormFilterInput(),
      'devis_pdf'              => new sfWidgetFormFilterInput(),
      'moyen_paiement'         => new sfWidgetFormFilterInput(),
      'numero_transaction'     => new sfWidgetFormFilterInput(),
      'numero_carte'           => new sfWidgetFormFilterInput(),
      'certificat_transaction' => new sfWidgetFormFilterInput(),
      'date_transaction'       => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate())),
      'id_client'              => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Client'), 'add_empty' => true)),
      'id_user_suiveur'        => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('sfGuardUser'), 'add_empty' => true)),
      'numero_colissimo'       => new sfWidgetFormFilterInput(),
      'mail_commande'          => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'mail_colissimo'         => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'date_creation'          => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => false)),
      'date_edition'           => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate(), 'with_empty' => false)),
    ));

    $this->setValidators(array(
      'poids_total'            => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'frais_port_ht'          => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'total_produit_ht'       => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'total_ht'               => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'taux_tva'               => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'total_ttc'              => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'id_statut'              => new sfValidatorPass(array('required' => false)),
      'civilite'               => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'nom'                    => new sfValidatorPass(array('required' => false)),
      'prenom'                 => new sfValidatorPass(array('required' => false)),
      'adresse'                => new sfValidatorPass(array('required' => false)),
      'adresse_complement'     => new sfValidatorPass(array('required' => false)),
      'code_postal'            => new sfValidatorPass(array('required' => false)),
      'ville'                  => new sfValidatorPass(array('required' => false)),
      'pays'                   => new sfValidatorPass(array('required' => false)),
      'telephone'              => new sfValidatorPass(array('required' => false)),
      'fax'                    => new sfValidatorPass(array('required' => false)),
      'email'                  => new sfValidatorPass(array('required' => false)),
      'note_livraison'         => new sfValidatorPass(array('required' => false)),
      'type_commande'          => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'commande_token'         => new sfValidatorPass(array('required' => false)),
      'devis_token'            => new sfValidatorPass(array('required' => false)),
      'devis_pdf'              => new sfValidatorPass(array('required' => false)),
      'moyen_paiement'         => new sfValidatorSchemaFilter('text', new sfValidatorInteger(array('required' => false))),
      'numero_transaction'     => new sfValidatorPass(array('required' => false)),
      'numero_carte'           => new sfValidatorPass(array('required' => false)),
      'certificat_transaction' => new sfValidatorPass(array('required' => false)),
      'date_transaction'       => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDateTime(array('required' => false, 'datetime_output' => 'Y-m-d 00:00:00')), 'to_date' => new sfValidatorDateTime(array('required' => false, 'datetime_output' => 'Y-m-d 23:59:59')))),
      'id_client'              => new sfValidatorDoctrineChoice(array('required' => false, 'model' => $this->getRelatedModelName('Client'), 'column' => 'id_client')),
      'id_user_suiveur'        => new sfValidatorDoctrineChoice(array('required' => false, 'model' => $this->getRelatedModelName('sfGuardUser'), 'column' => 'id')),
      'numero_colissimo'       => new sfValidatorPass(array('required' => false)),
      'mail_commande'          => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'mail_colissimo'         => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'date_creation'          => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDateTime(array('required' => false, 'datetime_output' => 'Y-m-d 00:00:00')), 'to_date' => new sfValidatorDateTime(array('required' => false, 'datetime_output' => 'Y-m-d 23:59:59')))),
      'date_edition'           => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDateTime(array('required' => false, 'datetime_output' => 'Y-m-d 00:00:00')), 'to_date' => new sfValidatorDateTime(array('required' => false, 'datetime_output' => 'Y-m-d 23:59:59')))),
    ));

    $this->widgetSchema->setNameFormat('commande_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Commande';
  }

  public function getFields()
  {
    return array(
      'id_commande'            => 'Number',
      'poids_total'            => 'Number',
      'frais_port_ht'          => 'Number',
      'total_produit_ht'       => 'Number',
      'total_ht'               => 'Number',
      'taux_tva'               => 'Number',
      'total_ttc'              => 'Number',
      'id_statut'              => 'Text',
      'civilite'               => 'Number',
      'nom'                    => 'Text',
      'prenom'                 => 'Text',
      'adresse'                => 'Text',
      'adresse_complement'     => 'Text',
      'code_postal'            => 'Text',
      'ville'                  => 'Text',
      'pays'                   => 'Text',
      'telephone'              => 'Text',
      'fax'                    => 'Text',
      'email'                  => 'Text',
      'note_livraison'         => 'Text',
      'type_commande'          => 'Number',
      'commande_token'         => 'Text',
      'devis_token'            => 'Text',
      'devis_pdf'              => 'Text',
      'moyen_paiement'         => 'Number',
      'numero_transaction'     => 'Text',
      'numero_carte'           => 'Text',
      'certificat_transaction' => 'Text',
      'date_transaction'       => 'Date',
      'id_client'              => 'ForeignKey',
      'id_user_suiveur'        => 'ForeignKey',
      'numero_colissimo'       => 'Text',
      'mail_commande'          => 'Boolean',
      'mail_colissimo'         => 'Boolean',
      'date_creation'          => 'Date',
      'date_edition'           => 'Date',
    );
  }
}
