<?php

/**
 * MailSujet filter form base class.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 29570 2010-05-21 14:49:47Z Kris.Wallsmith $
 */
abstract class BaseMailSujetFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'statut'           => new sfWidgetFormFilterInput(),
      'code'             => new sfWidgetFormFilterInput(),
      'date_reception'   => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate())),
      'date_assignation' => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate())),
      'id_user'          => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('sfGuardUser'), 'add_empty' => true)),
      'type'             => new sfWidgetFormFilterInput(),
      'nom'              => new sfWidgetFormFilterInput(),
      'telephone'        => new sfWidgetFormFilterInput(),
      'email'            => new sfWidgetFormFilterInput(),
      'code_postal'      => new sfWidgetFormFilterInput(),
      'message'          => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'statut'           => new sfValidatorPass(array('required' => false)),
      'code'             => new sfValidatorPass(array('required' => false)),
      'date_reception'   => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDateTime(array('required' => false, 'datetime_output' => 'Y-m-d 00:00:00')), 'to_date' => new sfValidatorDateTime(array('required' => false, 'datetime_output' => 'Y-m-d 23:59:59')))),
      'date_assignation' => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDateTime(array('required' => false, 'datetime_output' => 'Y-m-d 00:00:00')), 'to_date' => new sfValidatorDateTime(array('required' => false, 'datetime_output' => 'Y-m-d 23:59:59')))),
      'id_user'          => new sfValidatorDoctrineChoice(array('required' => false, 'model' => $this->getRelatedModelName('sfGuardUser'), 'column' => 'id')),
      'type'             => new sfValidatorPass(array('required' => false)),
      'nom'              => new sfValidatorPass(array('required' => false)),
      'telephone'        => new sfValidatorPass(array('required' => false)),
      'email'            => new sfValidatorPass(array('required' => false)),
      'code_postal'      => new sfValidatorPass(array('required' => false)),
      'message'          => new sfValidatorPass(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('mail_sujet_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'MailSujet';
  }

  public function getFields()
  {
    return array(
      'id'               => 'Number',
      'statut'           => 'Text',
      'code'             => 'Text',
      'date_reception'   => 'Date',
      'date_assignation' => 'Date',
      'id_user'          => 'ForeignKey',
      'type'             => 'Text',
      'nom'              => 'Text',
      'telephone'        => 'Text',
      'email'            => 'Text',
      'code_postal'      => 'Text',
      'message'          => 'Text',
    );
  }
}
