<?php

/**
 * Marque filter form base class.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 29570 2010-05-21 14:49:47Z Kris.Wallsmith $
 */
abstract class BaseMarqueFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'libelle'   => new sfWidgetFormFilterInput(),
      'statut'    => new sfWidgetFormChoice(array('choices' => array('' => 'yes or no', 1 => 'yes', 0 => 'no'))),
      'famille'   => new sfWidgetFormFilterInput(),
    ));

    $this->setValidators(array(
      'libelle'   => new sfValidatorPass(array('required' => false)),
      'statut'    => new sfValidatorChoice(array('required' => false, 'choices' => array('', 1, 0))),
      'famille'   => new sfValidatorPass(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('marque_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Marque';
  }

  public function getFields()
  {
    return array(
      'id_marque' => 'Number',
      'libelle'   => 'Text',
      'statut'    => 'Boolean',
      'famille'   => 'Text',
    );
  }
}
