<?php

/**
 * PressureWasherPriceHistory filter form base class.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 29570 2010-05-21 14:49:47Z Kris.Wallsmith $
 */
abstract class BasePressureWasherPriceHistoryFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'date_time' => new sfWidgetFormFilterDate(array('from_date' => new sfWidgetFormDate(), 'to_date' => new sfWidgetFormDate())),
      'source'    => new sfWidgetFormFilterInput(),
      'price'     => new sfWidgetFormFilterInput(),
      'id_pwww'   => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('PressureWasherWatchWebsite'), 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'date_time' => new sfValidatorDateRange(array('required' => false, 'from_date' => new sfValidatorDateTime(array('required' => false, 'datetime_output' => 'Y-m-d 00:00:00')), 'to_date' => new sfValidatorDateTime(array('required' => false, 'datetime_output' => 'Y-m-d 23:59:59')))),
      'source'    => new sfValidatorPass(array('required' => false)),
      'price'     => new sfValidatorSchemaFilter('text', new sfValidatorNumber(array('required' => false))),
      'id_pwww'   => new sfValidatorDoctrineChoice(array('required' => false, 'model' => $this->getRelatedModelName('PressureWasherWatchWebsite'), 'column' => 'id')),
    ));

    $this->widgetSchema->setNameFormat('pressure_washer_price_history_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'PressureWasherPriceHistory';
  }

  public function getFields()
  {
    return array(
      'id'        => 'Number',
      'date_time' => 'Date',
      'source'    => 'Text',
      'price'     => 'Number',
      'id_pwww'   => 'ForeignKey',
    );
  }
}
