<?php

/**
 * PressureWasherWatchWebsite filter form base class.
 *
 * @package    sf_sandbox
 * @subpackage filter
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormFilterGeneratedTemplate.php 29570 2010-05-21 14:49:47Z Kris.Wallsmith $
 */
abstract class BasePressureWasherWatchWebsiteFormFilter extends BaseFormFilterDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'name'         => new sfWidgetFormFilterInput(),
      'url'          => new sfWidgetFormFilterInput(),
      'before_price' => new sfWidgetFormFilterInput(),
      'after_price'  => new sfWidgetFormFilterInput(),
      'id_nettoyeur' => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('NettoyeurHautePression'), 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'name'         => new sfValidatorPass(array('required' => false)),
      'url'          => new sfValidatorPass(array('required' => false)),
      'before_price' => new sfValidatorPass(array('required' => false)),
      'after_price'  => new sfValidatorPass(array('required' => false)),
      'id_nettoyeur' => new sfValidatorDoctrineChoice(array('required' => false, 'model' => $this->getRelatedModelName('NettoyeurHautePression'), 'column' => 'id_nettoyeur')),
    ));

    $this->widgetSchema->setNameFormat('pressure_washer_watch_website_filters[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'PressureWasherWatchWebsite';
  }

  public function getFields()
  {
    return array(
      'id'           => 'Number',
      'name'         => 'Text',
      'url'          => 'Text',
      'before_price' => 'Text',
      'after_price'  => 'Text',
      'id_nettoyeur' => 'ForeignKey',
    );
  }
}
