<?php

/**
 * MailSujet form.
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormTemplate.php 23810 2009-11-12 11:07:44Z Kris.Wallsmith $
 */
class MailSujetForm extends BaseMailSujetForm
{
  public function configure()
  {
        $this->widgetSchema['statut'] = new sfWidgetFormInputText(array(), array('readonly' => 'true', 'disabled' => true));
        $this->widgetSchema['code'] = new sfWidgetFormInputText(array(), array('readonly' => 'true', 'disabled' => true));
        $this->widgetSchema['date_reception'] = new sfWidgetFormInputText(array(), array('readonly' => 'true', 'disabled' => true));
	$this->widgetSchema['id_user'] = new sfWidgetFormDoctrineChoice(array(
		'model' => $this->getRelatedModelName('sfGuardUser'), 
		'table_method' => 'recupererListeCommerciaux',
		'add_empty' => true
	));
        $this->widgetSchema['type'] = new sfWidgetFormInputText(array(), array('readonly' => 'true', 'disabled' => true));
        $this->widgetSchema['nom'] = new sfWidgetFormInputText(array(), array('readonly' => 'true', 'disabled' => true));
        $this->widgetSchema['telephone'] = new sfWidgetFormInputText(array(), array('readonly' => 'true', 'disabled' => true));
        $this->widgetSchema['email'] = new sfWidgetFormInputText(array(), array('readonly' => 'true', 'disabled' => true));
        $this->widgetSchema['code_postal'] = new sfWidgetFormInputText(array(), array('readonly' => 'true', 'disabled' => true));
        $this->widgetSchema['message'] = new sfWidgetFormTextarea(array(), array('readonly' => 'true', 'disabled' => true));
	
	
	$this->widgetSchema->setLabels(array(
		'date_reception' => 'Date de réception',
		'date_assignation' => 'Date d\'assignation',
		'id_user' => 'Utilisateur assigné',
		'telephone' => 'Téléphone'
	));
  }
}
