<?php

/**
 * Famille form base class.
 *
 * @method Famille getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BaseFamilleForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_famille' => new sfWidgetFormInputHidden(),
      'libelle'    => new sfWidgetFormInputText(),
      'ordre'      => new sfWidgetFormInputText(),
      'statut'     => new sfWidgetFormInputCheckbox(),
    ));

    $this->setValidators(array(
      'id_famille' => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id_famille')), 'empty_value' => $this->getObject()->get('id_famille'), 'required' => false)),
      'libelle'    => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'ordre'      => new sfValidatorInteger(array('required' => false)),
      'statut'     => new sfValidatorBoolean(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('famille[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Famille';
  }

}
