<?php

/**
 * MailSujet form base class.
 *
 * @method MailSujet getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BaseMailSujetForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'               => new sfWidgetFormInputHidden(),
      'statut'           => new sfWidgetFormInputText(),
      'code'             => new sfWidgetFormInputText(),
      'date_reception'   => new sfWidgetFormInputText(),
      'date_assignation' => new sfWidgetFormInputText(),
      'id_user'          => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('sfGuardUser'), 'add_empty' => true)),
      'type'             => new sfWidgetFormInputText(),
      'nom'              => new sfWidgetFormInputText(),
      'telephone'        => new sfWidgetFormInputText(),
      'email'            => new sfWidgetFormInputText(),
      'code_postal'      => new sfWidgetFormInputText(),
      'message'          => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'id'               => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'statut'           => new sfValidatorString(array('max_length' => 20, 'required' => false)),
      'code'             => new sfValidatorString(array('max_length' => 50, 'required' => false)),
      'date_reception'   => new sfValidatorPass(array('required' => false)),
      'date_assignation' => new sfValidatorPass(array('required' => false)),
      'id_user'          => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('sfGuardUser'), 'required' => false)),
      'type'             => new sfValidatorString(array('max_length' => 20, 'required' => false)),
      'nom'              => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'telephone'        => new sfValidatorString(array('max_length' => 50, 'required' => false)),
      'email'            => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'code_postal'      => new sfValidatorString(array('max_length' => 10, 'required' => false)),
      'message'          => new sfValidatorPass(array('required' => false)),
    ));

    $this->validatorSchema->setPostValidator(
      new sfValidatorDoctrineUnique(array('model' => 'MailSujet', 'column' => array('code')))
    );

    $this->widgetSchema->setNameFormat('mail_sujet[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'MailSujet';
  }

}
