<?php

/**
 * NettoyeurHautePression form base class.
 *
 * @method NettoyeurHautePression getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BaseNettoyeurHautePressionForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_nettoyeur'                => new sfWidgetFormInputHidden(),
      'id_marque'                   => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('Marque'), 'add_empty' => true)),
      'modele'                      => new sfWidgetFormInputText(),
      'poste_fixe'                  => new sfWidgetFormInputCheckbox(),
      'groupe_moteur_pompe'         => new sfWidgetFormInputCheckbox(),
      'eau_froide'                  => new sfWidgetFormInputCheckbox(),
      'eau_chaude'                  => new sfWidgetFormInputCheckbox(),
      'vapeur'                      => new sfWidgetFormInputCheckbox(),
      'temperature'                 => new sfWidgetFormInputText(),
      'pression_service'            => new sfWidgetFormInputText(),
      'debit_litre_min'             => new sfWidgetFormInputText(),
      'debit_litre_heure'           => new sfWidgetFormInputText(),
      'calibre'                     => new sfWidgetFormInputText(),
      'electrique_220'              => new sfWidgetFormInputCheckbox(),
      'electrique_220_a'            => new sfWidgetFormInputText(),
      'electrique_220_kw'           => new sfWidgetFormInputText(),
      'electrique_220_hz'           => new sfWidgetFormInputText(),
      'electrique_380'              => new sfWidgetFormInputCheckbox(),
      'electrique_380_a'            => new sfWidgetFormInputText(),
      'electrique_380_kw'           => new sfWidgetFormInputText(),
      'electrique_380_hz'           => new sfWidgetFormInputText(),
      'moteur_thermique'            => new sfWidgetFormInputCheckbox(),
      'moteur_thermique_info'       => new sfWidgetFormInputText(),
      'poids'                       => new sfWidgetFormInputText(),
      'description'                 => new sfWidgetFormInputText(),
      'reference_ths'               => new sfWidgetFormInputText(),
      'reference_constructeur'      => new sfWidgetFormInputText(),
      'prix_vente_ht'               => new sfWidgetFormInputText(),
      'taux_remise_fournisseur'     => new sfWidgetFormInputText(),
      'prix_vente_ths'              => new sfWidgetFormInputText(),
      'marge_pourcentage'           => new sfWidgetFormInputText(),
      'marge_euro'                  => new sfWidgetFormInputText(),
      'prix_ttc'                    => new sfWidgetFormInputText(),
      'stock'                       => new sfWidgetFormInputText(),
      'franco_de_port'              => new sfWidgetFormInputCheckbox(),
      'promo'                       => new sfWidgetFormInputCheckbox(),
      'url_article'                 => new sfWidgetFormInputText(),
      'balise_title'                => new sfWidgetFormInputText(),
      'balise_meta'                 => new sfWidgetFormInputText(),
      'photo_1'                     => new sfWidgetFormInputText(),
      'photo_2'                     => new sfWidgetFormInputText(),
      'photo_3'                     => new sfWidgetFormInputText(),
      'photo_4'                     => new sfWidgetFormInputText(),
      'photo_5'                     => new sfWidgetFormInputText(),
      'video_flv'                   => new sfWidgetFormInputText(),
      'doc_commercial'              => new sfWidgetFormInputText(),
      'doc_technique'               => new sfWidgetFormInputText(),
      'doc_technique_espace_pro'    => new sfWidgetFormInputCheckbox(),
      'eclate_technique'            => new sfWidgetFormInputText(),
      'eclate_technique_espace_pro' => new sfWidgetFormInputCheckbox(),
      'actif'                       => new sfWidgetFormInputCheckbox(),
      'disponible_vente'            => new sfWidgetFormInputCheckbox(),
      'visible_moteur_recherche'    => new sfWidgetFormInputCheckbox(),
      'afficher_prix'               => new sfWidgetFormInputCheckbox(),
      'plus_fabriquer'              => new sfWidgetFormInputCheckbox(),
      'no_index'                    => new sfWidgetFormInputCheckbox(),
    ));

    $this->setValidators(array(
      'id_nettoyeur'                => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id_nettoyeur')), 'empty_value' => $this->getObject()->get('id_nettoyeur'), 'required' => false)),
      'id_marque'                   => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('Marque'), 'required' => false)),
      'modele'                      => new sfValidatorString(array('max_length' => 50, 'required' => false)),
      'poste_fixe'                  => new sfValidatorBoolean(array('required' => false)),
      'groupe_moteur_pompe'         => new sfValidatorBoolean(array('required' => false)),
      'eau_froide'                  => new sfValidatorBoolean(array('required' => false)),
      'eau_chaude'                  => new sfValidatorBoolean(array('required' => false)),
      'vapeur'                      => new sfValidatorBoolean(array('required' => false)),
      'temperature'                 => new sfValidatorNumber(array('required' => false)),
      'pression_service'            => new sfValidatorInteger(array('required' => false)),
      'debit_litre_min'             => new sfValidatorNumber(array('required' => false)),
      'debit_litre_heure'           => new sfValidatorNumber(array('required' => false)),
      'calibre'                     => new sfValidatorString(array('max_length' => 50, 'required' => false)),
      'electrique_220'              => new sfValidatorBoolean(array('required' => false)),
      'electrique_220_a'            => new sfValidatorNumber(array('required' => false)),
      'electrique_220_kw'           => new sfValidatorNumber(array('required' => false)),
      'electrique_220_hz'           => new sfValidatorNumber(array('required' => false)),
      'electrique_380'              => new sfValidatorBoolean(array('required' => false)),
      'electrique_380_a'            => new sfValidatorNumber(array('required' => false)),
      'electrique_380_kw'           => new sfValidatorNumber(array('required' => false)),
      'electrique_380_hz'           => new sfValidatorNumber(array('required' => false)),
      'moteur_thermique'            => new sfValidatorBoolean(array('required' => false)),
      'moteur_thermique_info'       => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'poids'                       => new sfValidatorNumber(array('required' => false)),
      'description'                 => new sfValidatorPass(array('required' => false)),
      'reference_ths'               => new sfValidatorString(array('max_length' => 100, 'required' => false)),
      'reference_constructeur'      => new sfValidatorString(array('max_length' => 100, 'required' => false)),
      'prix_vente_ht'               => new sfValidatorNumber(array('required' => false)),
      'taux_remise_fournisseur'     => new sfValidatorNumber(array('required' => false)),
      'prix_vente_ths'              => new sfValidatorNumber(array('required' => false)),
      'marge_pourcentage'           => new sfValidatorNumber(array('required' => false)),
      'marge_euro'                  => new sfValidatorNumber(array('required' => false)),
      'prix_ttc'                    => new sfValidatorNumber(array('required' => false)),
      'stock'                       => new sfValidatorInteger(array('required' => false)),
      'franco_de_port'              => new sfValidatorBoolean(array('required' => false)),
      'promo'                       => new sfValidatorBoolean(array('required' => false)),
      'url_article'                 => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'balise_title'                => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'balise_meta'                 => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'photo_1'                     => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'photo_2'                     => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'photo_3'                     => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'photo_4'                     => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'photo_5'                     => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'video_flv'                   => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'doc_commercial'              => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'doc_technique'               => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'doc_technique_espace_pro'    => new sfValidatorBoolean(array('required' => false)),
      'eclate_technique'            => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'eclate_technique_espace_pro' => new sfValidatorBoolean(array('required' => false)),
      'actif'                       => new sfValidatorBoolean(array('required' => false)),
      'disponible_vente'            => new sfValidatorBoolean(array('required' => false)),
      'visible_moteur_recherche'    => new sfValidatorBoolean(array('required' => false)),
      'afficher_prix'               => new sfValidatorBoolean(array('required' => false)),
      'plus_fabriquer'              => new sfValidatorBoolean(array('required' => false)),
      'no_index'                    => new sfValidatorBoolean(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('nettoyeur_haute_pression[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'NettoyeurHautePression';
  }

}
