<?php

/**
 * Page form base class.
 *
 * @method Page getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BasePageForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_page'      => new sfWidgetFormInputHidden(),
      'titre'        => new sfWidgetFormInputText(),
      'description'  => new sfWidgetFormTextarea(),
      'balise_titre' => new sfWidgetFormInputText(),
      'balise_h1'    => new sfWidgetFormInputText(),
      'url_partie1'  => new sfWidgetFormInputText(),
      'url_partie2'  => new sfWidgetFormInputText(),
      'url'          => new sfWidgetFormInputText(),
      'balise_meta'  => new sfWidgetFormInputText(),
      'actif'        => new sfWidgetFormInputCheckbox(),
      'no_index'     => new sfWidgetFormInputCheckbox(),
    ));

    $this->setValidators(array(
      'id_page'      => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id_page')), 'empty_value' => $this->getObject()->get('id_page'), 'required' => false)),
      'titre'        => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'description'  => new sfValidatorString(array('required' => false)),
      'balise_titre' => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'balise_h1'    => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'url_partie1'  => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'url_partie2'  => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'url'          => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'balise_meta'  => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'actif'        => new sfValidatorBoolean(array('required' => false)),
      'no_index'     => new sfValidatorBoolean(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('page[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Page';
  }

}
