<?php

/**
 * PressureWasherPriceHistory form base class.
 *
 * @method PressureWasherPriceHistory getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BasePressureWasherPriceHistoryForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id'        => new sfWidgetFormInputHidden(),
      'date_time' => new sfWidgetFormInputText(),
      'source'    => new sfWidgetFormInputText(),
      'price'     => new sfWidgetFormInputText(),
      'id_pwww'   => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('PressureWasherWatchWebsite'), 'add_empty' => true)),
    ));

    $this->setValidators(array(
      'id'        => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id')), 'empty_value' => $this->getObject()->get('id'), 'required' => false)),
      'date_time' => new sfValidatorPass(array('required' => false)),
      'source'    => new sfValidatorPass(array('required' => false)),
      'price'     => new sfValidatorNumber(array('required' => false)),
      'id_pwww'   => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('PressureWasherWatchWebsite'), 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('pressure_washer_price_history[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'PressureWasherPriceHistory';
  }

}
