<div class="sf_admin_list">
  <?php if (!$pager->getNbResults()): ?>
    <p><?php echo __('No result', array(), 'sf_admin') ?></p>
  <?php else: ?>
    <table cellspacing="0">
      <thead>
        <tr>
          <th id="sf_admin_list_batch_actions"><input id="sf_admin_list_batch_checkbox" type="checkbox" onclick="checkAll();" /></th>
          <?php include_partial('article/list_th_tabular', array('sort' => $sort)) ?>
          <th id="sf_admin_list_th_actions"><?php echo __('Actions', array(), 'sf_admin') ?></th>
        </tr>
      </thead>
      <tfoot>
        <tr>
          <th colspan="8">
            <?php if ($pager->haveToPaginate()): ?>
              <?php include_partial('article/pagination', array('pager' => $pager)) ?>
            <?php endif; ?>
            
            

            <?php echo format_number_choice('[0] no result|[1] 1 result|(1,+Inf] %1% results', array('%1%' => $pager->getNbResults()), $pager->getNbResults(), 'sf_admin') ?>
            <?php if ($pager->haveToPaginate()): ?>
              <?php echo __('(page %%page%%/%%nb_pages%%)', array('%%page%%' => $pager->getPage(), '%%nb_pages%%' => $pager->getLastPage()), 'sf_admin') ?>
            <?php endif; ?>
            
            | Ligne par page
	<select name="max_per_page_article" onchange="this.form.submit()">
		<option value="500" <?php if($max_per_page == 500):?>selected="selected"<?php endif?>>500</option>
		<option value="1000" <?php if($max_per_page == 1000):?>selected="selected"<?php endif?>>1000</option>
		<option value="2500" <?php if($max_per_page == 1500):?>selected="selected"<?php endif?>>1500</option>
		<option value="5000" <?php if($max_per_page == 2000):?>selected="selected"<?php endif?>>2000</option>
	</select>
          </th>
        </tr>
      </tfoot>
      <tbody>
        <?php foreach ($pager->getResults() as $i => $article): $odd = fmod(++$i, 2) ? 'odd' : 'even' ?>
          <tr class="sf_admin_row <?php echo $odd ?>">
          <td>
			  <input type="checkbox" name="ids[]" value="<?php echo $article->getPrimaryKey() ?>" class="sf_admin_batch_checkbox" />
			</td>
          
            <?php // include_partial('article/list_td_batch_actions', array('article' => $article, 'helper' => $helper)) ?>
            
            <td>
				<?php echo image_tag("articles/miniature/".$article->getReferenceThs()."_100.jpg")?>
			</td>
			<td class="sf_admin_text sf_admin_list_td_reference_ths">
			  <?php echo link_to($article->getReferenceThs(), 'article_edit', $article) ?>
			</td>
			<td class="sf_admin_text sf_admin_list_td_reference_ths_sage">
			  <?php echo $article->getReferenceThsSage() ?>
			</td>
			<td class="sf_admin_text sf_admin_list_td_prix_vente_ht">
			  <?php echo Utils::doubleEnToFr($article->getPrixVenteHt()) ?>
			</td>
			<td class="sf_admin_text sf_admin_list_td_designation_courte">
			  <?php echo $article->getDesignationCourte() ?>
			</td>
			<td class="sf_admin_text sf_admin_list_td_url_article">
			  <a href="<?php echo $article->getUrlArticle() ?>" target="_blank"><?php echo $article->getUrlArticle() ?></a>
			</td>
            
            <?php //include_partial('article/list_td_tabular', array('article' => $article)) ?>
            <?php //include_partial('article/list_td_actions', array('article' => $article, 'helper' => $helper)) ?>
            <td>
              <?php if($sf_user->hasCredential('Administrateur')):?>
				  <ul class="sf_admin_td_actions">
				    <?php echo $helper->linkToEdit($article, array(  'params' =>   array(  ),  'class_suffix' => 'edit',  'label' => 'Edit',)) ?>
				    <?php echo $helper->linkToDelete($article, array(  'params' =>   array(  ),  'confirm' => 'Are you sure?',  'class_suffix' => 'delete',  'label' => 'Delete',)) ?>
				  </ul>
			  <?php elseif($sf_user->hasCredential('Commercial')):?>
			  	  <ul class="sf_admin_td_actions">
				    <?php echo $helper->linkToEdit($article, array(  'params' =>   array(  ),  'class_suffix' => 'Plus de détails',  'label' => 'Plus de détails',)) ?>
				  </ul>
			  <?php endif ?>
			</td>
          </tr>
        <?php endforeach; ?>
      </tbody>
    </table>
  <?php endif; ?>
</div>
<script type="text/javascript">
/* <![CDATA[ */
function checkAll()
{
  var boxes = document.getElementsByTagName('input'); for(var index = 0; index < boxes.length; index++) { box = boxes[index]; if (box.type == 'checkbox' && box.className == 'sf_admin_batch_checkbox') box.checked = document.getElementById('sf_admin_list_batch_checkbox').checked } return true;
}
/* ]]> */
</script>
