<?php 
	$ligne = 0;
	$tva = Doctrine_Core::getTable("TauxTVA")->find(sfConfig::get('app_tva_196'));
	
	$ligne = sizeof($commandeArticles);
?>
<script type="text/javascript">
	var ligne = <?php echo $ligne?>;
	function ajouterArticle(){
		var str = '<tr id="ligne_article_' + ligne + '">';
		str += '<td><input type="text" id="ref_ths_'+ligne+'" onkeyup="recupererArticle('+ligne+')" value="" name="article['+ligne+'][reference]" /><input type="hidden" id="poids_'+ligne+'" value=""/></td>';
		str += '<td><input type="text" id="ref_ths_sage_'+ligne+'" disabled="disabled" /></td>';
		str += '<td><input type="text" id="designation_'+ligne+'" disabled="disabled" /></td>';
		str += '<td><input type="text" id="quantite_'+ligne+'" size="4" onkeyup="modifierQuantite('+ligne+')" name="article['+ligne+'][quantite]" /></td>';
		str += '<td><input type="text" id="prix_unitaire_'+ligne+'" size="6" disabled="disabled" /></td>';
		str += '<td><input type="text" id="prix_total_ht_'+ligne+'" size="6" disabled="disabled" /></td>';
		str += '<td><input type="text" id="prix_total_ttc_'+ligne+'" size="6" disabled="disabled" /></td>';
		str += '<td>';
		str += '<ul class="sf_admin_td_actions">';
		str += '<li class="sf_admin_action_delete">';
		str += '<a style="cursor:pointer;" onclick="if (confirm(\'Etes vous sûr ?\')) { supprimerLigne('+ligne+') };return false;">Supprimer</a>';
		str += '</li>';
		str += '</ul>';
		str += '</td>';
		str += '</tr>';
		ligne++;
		$(str).appendTo($('#ligne_article'));
	}

	function supprimerLigne(id){
		$('#ligne_article_' + id).remove();
		calculer();
	}

	function recupererArticle(id){
		$.ajax({
				type: "POST",
				url: '<?php echo url_for("@recuperer_article_pour_association") ?>',
				data: { reference_ths_sage: document.getElementById('ref_ths_'+id).value },
				dataType: 'json',
				//Fonction executée quand la requete réussie
				success: function(result){
					if(result['reference_ths'] != ""){
						document.getElementById('ref_ths_'+id).value = result['reference_ths'];
						document.getElementById('ref_ths_sage_'+id).value = result['reference_ths_sage'];
						document.getElementById('designation_'+id).value = result['designation'];
						var pu = result['prix'] + "";
						document.getElementById('prix_unitaire_'+id).value = pu.replace('.', ',');
						document.getElementById('quantite_'+id).value = 1;
						var ptht = result['prix'] * document.getElementById('quantite_'+id).value + "";
						document.getElementById('prix_total_ht_'+id).value = ptht.replace('.', ',');
						var ptttc = Math.round(document.getElementById('prix_total_ht_'+id).value * (100 + <?php echo $tva->getTaux() ?>)) / 100 + "";
						document.getElementById('prix_total_ttc_'+id).value = ptttc.replace('.', ',');
						document.getElementById('poids_'+id).value = result['poids'];
	
						calculer();
					}
				}
		});
	}

	function modifierQuantite(id){
		if(!isInteger(document.getElementById('quantite_'+id).value)){
			document.getElementById('quantite_'+id).value = 1;
			alert('Vous devez entrer un nombre entier !"');
		}
		var pu = document.getElementById('prix_unitaire_'+id).value + "";
		var ptht = pu.replace(',', '.') * document.getElementById('quantite_'+id).value + "";
		document.getElementById('prix_total_ht_'+id).value = ptht.replace('.', ',');
		var ptttc = Math.round(document.getElementById('prix_total_ht_'+id).value * (100 + <?php echo $tva->getTaux() ?>)) / 100 + "";
		document.getElementById('prix_total_ttc_'+id).value = ptttc.replace('.', ',');

		calculer();
	}

	function isInteger(value){
		if(value.match('^[0-9]*$')){
			return true;
		}
		return false;
	}

	function calculer(){
		var nombre_article = 0;
		var poids_total = 0;
		var total_produit_ht = 0;
		var total_ht = 0;
		var total_ttc = 0;
		for(i=0;i<ligne;i++){
			if(document.getElementById("ligne_article_" + i) != null){
				nombre_article += parseInt(document.getElementById("quantite_" + i).value);
				
				temp_poids = document.getElementById("poids_" + i).value + "";
				temp_poids = temp_poids.replace(',', '.');
				poids_total += temp_poids * document.getElementById("quantite_" + i).value;

				temp_pu = document.getElementById("prix_unitaire_" + i).value;
				temp_pu = temp_pu.replace(',', '.');
				total_produit_ht += temp_pu * document.getElementById("quantite_" + i).value;
			}
		}
		poids_total = (Math.round(poids_total * 100) / 100) + "";
		total_produit_ht = (Math.round(total_produit_ht * 100) / 100) + "";
		total_ttc = (Math.round(total_produit_ht * (100 + <?php echo $tva->getTaux() ?>)) / 100) + "";

		document.getElementById('commande_poids_total').value = poids_total.replace('.', ',');
		document.getElementById('commande_total_produit_ht').value = total_produit_ht.replace('.', ',');
		document.getElementById('commande_total_ht').value = total_produit_ht.replace('.', ',');
		document.getElementById('commande_total_ttc').value = total_ttc.replace('.', ',');

		if(nombre_article > 1){
			document.getElementById('nombre').innerHTML = parseInt(nombre_article) + ' articles';
		}else{
			if(nombre_article == "NaN"){
				document.getElementById('nombre').innerHTML = '0 article';
			}else{
				document.getElementById('nombre').innerHTML = parseInt(nombre_article) + ' article';
			}
		}
	}

	function choixTypeCommande(value){
		if(value == 1){
			document.getElementById('div_devis_token').style.display = 'block';
			document.getElementById('div_devis_pdf').style.display = 'block';
			document.getElementById('div_total_ttc').style.display = 'block';
			document.getElementById('div_ligne_article').style.display = 'none';
			document.getElementById('div_poids_total').style.display = 'none';
			document.getElementById('div_frais_port_ht').style.display = 'none';
			document.getElementById('div_total_produit_ht').style.display = 'none';
			document.getElementById('div_total_ht').style.display = 'none';
			document.getElementById('div_taux_tva').style.display = 'none';
			document.getElementById('div_commande_token').style.display = 'none';
		}else if(value == 2){
			document.getElementById('div_ligne_article').style.display = 'block';
			document.getElementById('div_poids_total').style.display = 'block';
			document.getElementById('div_frais_port_ht').style.display = 'block';
			document.getElementById('div_total_produit_ht').style.display = 'block';
			document.getElementById('div_total_ht').style.display = 'block';
			document.getElementById('div_taux_tva').style.display = 'block';
			document.getElementById('div_total_ttc').style.display = 'block';
			document.getElementById('div_commande_token').style.display = 'block';
			document.getElementById('div_devis_pdf').style.display = 'none';
			document.getElementById('div_devis_token').style.display = 'none';
		}else if(value == 3){
			document.getElementById('div_ligne_article').style.display = 'none';
			document.getElementById('div_poids_total').style.display = 'none';
			document.getElementById('div_frais_port_ht').style.display = 'none';
			document.getElementById('div_total_produit_ht').style.display = 'none';
			document.getElementById('div_total_ht').style.display = 'none';
			document.getElementById('div_taux_tva').style.display = 'none';
			document.getElementById('div_total_ttc').style.display = 'block';
			document.getElementById('div_commande_token').style.display = 'none';
			document.getElementById('div_devis_token').style.display = 'block';
			document.getElementById('div_devis_pdf').style.display = 'none';
		}else{
			document.getElementById('div_ligne_article').style.display = 'none';
			document.getElementById('div_poids_total').style.display = 'none';
			document.getElementById('div_frais_port_ht').style.display = 'none';
			document.getElementById('div_total_produit_ht').style.display = 'none';
			document.getElementById('div_total_ht').style.display = 'none';
			document.getElementById('div_taux_tva').style.display = 'none';
			document.getElementById('div_total_ttc').style.display = 'none';
			document.getElementById('div_commande_token').style.display = 'none';
			document.getElementById('div_devis_token').style.display = 'none';
			document.getElementById('div_devis_pdf').style.display = 'none';
		}
	}

	$(document).ready( function() {
		choixTypeCommande(<?php echo $form["type_commande"]->getValue()?>);
	});
</script>
<fieldset id="sf_fieldset_<?php echo preg_replace('/[^a-z0-9_]/', '_', strtolower($fieldset)) ?>">
  <?php if ('NONE' != $fieldset): ?>
    <h2><?php echo __($fieldset, array(), 'messages') ?></h2>
  <?php endif; ?>

		<div class="sf_admin_form_row">
	    	<?php echo $form["civilite"]->renderError() ?>
	    	<div>
	    		<?php echo $form["civilite"]->renderLabel($fields["civilite"]->getConfig('label')) ?>
	      		<div class="content">
	      			<?php echo $form["civilite"]->render($fields["civilite"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["civilite"]->getConfig('attributes', array())->getRawValue() : $fields["civilite"]->getConfig('attributes', array())) ?>
	      		</div>
	    	</div>
	  	</div>
	  	<div class="sf_admin_form_row">
	    	<?php echo $form["nom"]->renderError() ?>
	    	<div>
	    		<?php echo $form["nom"]->renderLabel($fields["nom"]->getConfig('label')) ?>
	      		<div class="content">
	      			<?php echo $form["nom"]->render($fields["nom"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["nom"]->getConfig('attributes', array())->getRawValue() : $fields["nom"]->getConfig('attributes', array())) ?>
	      		</div>
	    	</div>
	  	</div>
	  	<div class="sf_admin_form_row">
	    	<?php echo $form["prenom"]->renderError() ?>
	    	<div>
	    		<?php echo $form["prenom"]->renderLabel($fields["prenom"]->getConfig('label')) ?>
	      		<div class="content">
	      			<?php echo $form["prenom"]->render($fields["prenom"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["prenom"]->getConfig('attributes', array())->getRawValue() : $fields["prenom"]->getConfig('attributes', array())) ?>
	      		</div>
	    	</div>
	  	</div>
	  	<div class="sf_admin_form_row">
	    	<?php echo $form["adresse"]->renderError() ?>
	    	<div>
	    		<?php echo $form["adresse"]->renderLabel($fields["adresse"]->getConfig('label')) ?>
	      		<div class="content">
	      			<?php echo $form["adresse"]->render($fields["adresse"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["adresse"]->getConfig('attributes', array())->getRawValue() : $fields["adresse"]->getConfig('attributes', array())) ?>
	      		</div>
	    	</div>
	  	</div>
	  	<div class="sf_admin_form_row">
	    	<?php echo $form["adresse_complement"]->renderError() ?>
	    	<div>
	    		<?php echo $form["adresse_complement"]->renderLabel($fields["adresse_complement"]->getConfig('label')) ?>
	      		<div class="content">
	      			<?php echo $form["adresse_complement"]->render($fields["adresse_complement"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["adresse_complement"]->getConfig('attributes', array())->getRawValue() : $fields["adresse_complement"]->getConfig('attributes', array())) ?>
	      		</div>
	    	</div>
	  	</div>
	  	<div class="sf_admin_form_row">
	    	<?php echo $form["code_postal"]->renderError() ?>
	    	<div>
	    		<?php echo $form["code_postal"]->renderLabel($fields["code_postal"]->getConfig('label')) ?>
	      		<div class="content">
	      			<?php echo $form["code_postal"]->render($fields["code_postal"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["code_postal"]->getConfig('attributes', array())->getRawValue() : $fields["code_postal"]->getConfig('attributes', array())) ?>
	      		</div>
	    	</div>
	  	</div>
	  	<div class="sf_admin_form_row">
	    	<?php echo $form["ville"]->renderError() ?>
	    	<div>
	    		<?php echo $form["ville"]->renderLabel($fields["ville"]->getConfig('label')) ?>
	      		<div class="content">
	      			<?php echo $form["ville"]->render($fields["ville"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["ville"]->getConfig('attributes', array())->getRawValue() : $fields["ville"]->getConfig('attributes', array())) ?>
	      		</div>
	    	</div>
	  	</div>
	  	<div class="sf_admin_form_row">
	    	<?php echo $form["pays"]->renderError() ?>
	    	<div>
	    		<?php echo $form["pays"]->renderLabel($fields["pays"]->getConfig('label')) ?>
	      		<div class="content">
	      			<?php echo $form["pays"]->render($fields["pays"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["pays"]->getConfig('attributes', array())->getRawValue() : $fields["pays"]->getConfig('attributes', array())) ?>
	      		</div>
	    	</div>
	  	</div>
	  	<div class="sf_admin_form_row">
	    	<?php echo $form["telephone"]->renderError() ?>
	    	<div>
	    		<label for="commande_telephone">Téléphone <span class="obligatoire">*</span></label>
	      		<div class="content">
	      			<?php echo $form["telephone"]->render($fields["telephone"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["telephone"]->getConfig('attributes', array())->getRawValue() : $fields["telephone"]->getConfig('attributes', array())) ?>
	      		</div>
	    	</div>
	  	</div>
	  	<div class="sf_admin_form_row">
	    	<?php echo $form["fax"]->renderError() ?>
	    	<div>
	    		<?php echo $form["fax"]->renderLabel($fields["fax"]->getConfig('label')) ?>
	      		<div class="content">
	      			<?php echo $form["fax"]->render($fields["fax"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["fax"]->getConfig('attributes', array())->getRawValue() : $fields["fax"]->getConfig('attributes', array())) ?>
	      		</div>
	    	</div>
	  	</div>
	  	<div class="sf_admin_form_row">
	    	<?php echo $form["email"]->renderError() ?>
	    	<div>
	    		<label for="commande_email">Email <span class="obligatoire">*</span></label>
	      		<div class="content">
	      			<?php echo $form["email"]->render($fields["email"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["email"]->getConfig('attributes', array())->getRawValue() : $fields["email"]->getConfig('attributes', array())) ?>
	      		</div>
	    	</div>
	  	</div>
	  	<div class="sf_admin_form_row" id="div_devis_token">
	    	<?php echo $form["devis_token"]->renderError() ?>
	    	<div>
	    		<?php echo $form["devis_token"]->renderLabel($fields["devis_token"]->getConfig('label')) ?>
	    		<div class="content">
	      			<?php echo $form["devis_token"]->render($fields["devis_token"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["devis_token"]->getConfig('attributes', array("readonly"=>"readonly"))->getRawValue() : $fields["devis_token"]->getConfig('attributes', array())) ?>
		      		<?php if($commande->getDevisPdf() != ""):?>
		      			<br />http://www.haute-pression.com/devis/<?php echo $commande->getIdCommande()?>/<?php echo $commande->getDevisToken() ?>.html
		      		<?php endif?>
		      	</div>
	    	</div>
	  	</div>
	  	
		  	<div class="sf_admin_form_row" id="div_devis_pdf">
		    	<div>
		    		
		    		<label>Devis PDF <span class="obligatoire">*</span></label>
		      		<div class="content">
		      			<?php if($commande->getDevisPdf() != ""):?>
				    		<?php $extension = strrchr($commande->getDevisPdf(), '.'); ?>
				    		<a href="<?php echo _compute_public_path($commande->getDevisPdf(), "pdf/devis", false)?>" target="_blank">Voir le devis</a> | <span>Supprimer le devis</span> <?php echo $form["devis_pdf_supprimer"]->render() ?><br />
				    	<?php else:?>
			      			<div id="fileupload">
							    <!-- <form action="upload.php" method="POST" enctype="multipart/form-data"> -->
							        <div class="fileupload-buttonbar">
							             <!--<label class="fileinput-button">
							                <!-- <span>Add files...</span>  -->
							                <input type="file" name="commande[devis_pdf][]">
							            <!-- </label>-->
							            <!-- <button type="submit" class="start">Start upload</button>
							            <button type="reset" class="cancel">Annuler</button>
							            <button type="button" class="delete">Delete files</button>  -->
							        </div>
							    <!-- </form> -->
							    <div class="fileupload-content">
							        <table class="files"></table>
							        <div class="fileupload-progressbar"></div>
							    </div>
							</div>
						<?php endif?>
		      		</div>
		    	</div>
		  	</div>
		  		
		  	    <div class="sf_admin_form_row" id="div_ligne_article">
	    		<label for="commande_liste_article>Liste article">Liste Article <span class="obligatoire">*</span></label>
					<div class="content">
					  <table id="ligne_article">
						<thead>
							<tr>
								<th>Référence THS</th>
								<th>Référence THS Sage</th>
								<th>Désignation</th>
								<th>Quantité</th>
								<th>Prix unitaire HT</th>
								<th>Prix total HT</th>
								<th>Prix total TTC</th>
								<?php if($commande->getIdStatut() == 0):?>
									<th>Action</th>
								<?php endif?>
							</tr>
						</thead>
						<tbody>
						  <?php $nombre = 0; $i = 0; foreach($commandeArticles as $article):?>
						  	<?php 
						  		$nombre += $article->getQuantite(); 
						  		if($article->getIdArticle() != null)
						  		{
						  			$objet = Doctrine_Core::getTable("Article")->find($article->getIdArticle());
						  		}
						  		else 
						  		{
						  			$objet = Doctrine_Core::getTable("NettoyeurHautePression")->find($article->getIdNettoyeur());
						  		}
						  	?>
						  	<tr id="ligne_article_<?php echo $i?>">
						  		<td><input type="text" id="ref_ths_<?php echo $i?>" onkeyup="recupererArticle(<?php echo $i?>)" value="<?php echo $objet->getReferenceThs()?>" name="article[<?php echo $i?>][reference]" <?php if($commande->getIdStatut() > 0):?>disabled="disabled"<?php endif?> /><input type="hidden" id="poids_<?php echo $i?>" value="<?php echo $objet->getPoids()?>"/></td>
						  		<td>
							  		<input type="text" id="ref_ths_sage_<?php echo $i?>" disabled="disabled" value="<?php 
								  		if($article->getIdArticle() != null)
								  		{
								  			echo $objet->getReferenceThsSage();
								  		}
								  		else 
								  		{
								  			echo $objet->getReferenceConstructeur();
								  		}
							  		?>" />
							  	</td>
						  		<?php if($article->getIdArticle() != null):?>
						  			<td><input type="text" id="designation_<?php echo $i?>" disabled="disabled" value="<?php echo $objet->getDesignationCourte()?>" /></td>
						  		<?php else:?>
						  			<td><input type="text" id="designation_<?php echo $i?>" disabled="disabled" value="<?php echo $objet->getMarque()->getLibelle()." ".$objet->getModele()?>" /></td>
						  		<?php endif?>
						  		<td><input type="text" id="quantite_<?php echo $i?>" size="4" onkeyup="modifierQuantite(<?php echo $i?>)" name="article[<?php echo $i?>][quantite]" value="<?php echo $article->getQuantite()?>" <?php if($commande->getIdStatut() > 0):?>disabled="disabled"<?php endif?> /></td>
						  		<td><input type="text" id="prix_unitaire_<?php echo $i?>" size="6" disabled="disabled" value="<?php echo format_currency($article->getPrixUnitaireHt())?>"/></td>
						  		<td><input type="text" id="prix_total_ht_<?php echo $i?>" size="6" disabled="disabled" value="<?php echo format_currency($article->getPrixTotalHt())?>" /></td>
						  		<td><input type="text" id="prix_total_ttc_<?php echo $i?>" size="6" disabled="disabled" value="<?php echo format_currency($article->getPrixTotalTtc())?>" /></td>
						  		<?php if($commande->getIdStatut() == 0):?>
							  		<td>
							  			<ul class="sf_admin_td_actions">
							  				<li class="sf_admin_action_delete">
							  					<a style="cursor:pointer;" onclick="if (confirm('Etes vous sûr ?')) { supprimerLigne(<?php echo $i?>) };return false;">Supprimer</a>
							  				</li>
							  			</ul>
							  		</td>
							  	<?php endif?>
						  	</tr>
						  	<?php $i++?>
						  <?php endforeach?>
					    </tbody>
						<tfoot>
							<th colspan="13"><span id="nombre"><?php echo $nombre?> article<?php if($nombre > 1):?>s<?php endif?></span></th>
						</tfoot>
					  </table>
					  
					<?php if($commande->getIdStatut() == 0):?><input type="button" value="Ajouter un article" onclick="ajouterArticle()" /><?php endif?>
					</div>
	</div>
		  	<div class="sf_admin_form_row">
	    	<?php echo $form["note_livraison"]->renderError() ?>
	    	<div>
	    		<?php echo $form["note_livraison"]->renderLabel($fields["note_livraison"]->getConfig('label')) ?>
	      		<div class="content">
	      			<?php echo $form["note_livraison"]->render($fields["note_livraison"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["note_livraison"]->getConfig('attributes', array())->getRawValue() : $fields["note_livraison"]->getConfig('attributes', array())) ?>
	      		</div>
	    	</div>
	  	</div>
	  	<div class="sf_admin_form_row">
		    	<?php echo $form["id_statut"]->renderError() ?>
		    	<div>
		    		<?php echo $form["id_statut"]->renderLabel($fields["id_statut"]->getConfig('label')) ?>
		      		<div class="content">
		      			<?php echo $form["id_statut"]->render($fields["id_statut"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["id_statut"]->getConfig('attributes', array())->getRawValue() : $fields["id_statut"]->getConfig('attributes', array())) ?>
		      		</div>
		    	</div>
		  	</div>
		  <?php if($commande->getIdCommande() == ""):?>
		    <?php $option = array("onclick"=>"choixTypeCommande(this.value)")?>
		  <?php else:?>
		  	<input type="hidden" name="commande[type_commande]" value="<?php echo $commande->getTypeCommande()?>" />
		  	<?php $option = array("disabled"=>"disabled")?>
		  <?php endif?>
	  	<div class="sf_admin_form_row">
	    	<?php echo $form["type_commande"]->renderError() ?>
	    	<div>
	    		<label for="commande_type_commande">Type de commande <span class="obligatoire">*</span></label>
	      		<div class="content">
	      			<?php echo $form["type_commande"]->render($fields["type_commande"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["type_commande"]->getConfig('attributes', $option)->getRawValue() : $fields["type_commande"]->getConfig('attributes', array())) ?>
	      		</div>
	    	</div>
	  	</div>
	  	<div class="sf_admin_form_row" id="div_commande_token">
	    	<?php echo $form["commande_token"]->renderError() ?>
	    	<div>
	    		<?php echo $form["commande_token"]->renderLabel($fields["commande_token"]->getConfig('label')) ?>
	    		<div class="content">
	      			<?php echo $form["commande_token"]->render($fields["commande_token"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["commande_token"]->getConfig('attributes', array("readonly"=>"readonly"))->getRawValue() : $fields["commande_token"]->getConfig('attributes', array())) ?>
					<?php if($commande->getCommandeToken() != ""):?>
		      			<br />http://www.haute-pression.com/commande/<?php echo $commande->getIdCommande()?>/<?php echo $commande->getCommandeToken() ?>.html
		      		<?php endif?>
				</div>
	    	</div>
	  	</div>
		  	<div class="sf_admin_form_row" id="div_poids_total">
		    	<?php echo $form["poids_total"]->renderError() ?>
		    	<div>
		    		<?php echo $form["poids_total"]->renderLabel($fields["poids_total"]->getConfig('label')) ?>
		      		<div class="content">
		      			<?php echo $form["poids_total"]->render($fields["poids_total"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["poids_total"]->getConfig('attributes', array())->getRawValue() : $fields["poids_total"]->getConfig('attributes', array())) ?>
		      		</div>
		    	</div>
		  	</div>
		  	<div class="sf_admin_form_row" id="div_frais_port_ht">
		    	<?php echo $form["frais_port_ht"]->renderError() ?>
		    	<div>
		    		<?php echo $form["frais_port_ht"]->renderLabel($fields["frais_port_ht"]->getConfig('label')) ?>
		      		<div class="content">
		      			<?php echo $form["frais_port_ht"]->render($fields["frais_port_ht"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["frais_port_ht"]->getConfig('attributes', array())->getRawValue() : $fields["frais_port_ht"]->getConfig('attributes', array())) ?>
		      		</div>
		    	</div>
		  	</div>
		  	<div class="sf_admin_form_row" id="div_total_produit_ht">
		    	<?php echo $form["total_produit_ht"]->renderError() ?>
		    	<div>
		    		<?php echo $form["total_produit_ht"]->renderLabel($fields["total_produit_ht"]->getConfig('label')) ?>
		      		<div class="content">
		      			<?php echo $form["total_produit_ht"]->render($fields["total_produit_ht"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["total_produit_ht"]->getConfig('attributes', array())->getRawValue() : $fields["total_produit_ht"]->getConfig('attributes', array())) ?>
		      		</div>
		    	</div>
		  	</div>
		  	<div class="sf_admin_form_row" id="div_total_ht">
		    	<?php echo $form["total_ht"]->renderError() ?>
		    	<div>
		    		<?php echo $form["total_ht"]->renderLabel($fields["total_ht"]->getConfig('label')) ?>
		      		<div class="content">
		      			<?php echo $form["total_ht"]->render($fields["total_ht"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["total_ht"]->getConfig('attributes', array())->getRawValue() : $fields["total_ht"]->getConfig('attributes', array())) ?>
		      		</div>
		    	</div>
		  	</div>
		  	<div class="sf_admin_form_row" id="div_taux_tva">
		    	<?php echo $form["taux_tva"]->renderError() ?>
		    	<div>
		    		<?php echo $form["taux_tva"]->renderLabel($fields["taux_tva"]->getConfig('label')) ?>
		      		<div class="content">
		      			<?php echo $form["taux_tva"]->render($fields["taux_tva"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["taux_tva"]->getConfig('attributes', array())->getRawValue() : $fields["taux_tva"]->getConfig('attributes', array())) ?>
		      		</div>
		    	</div>
		  	</div>
		  	<div class="sf_admin_form_row" id="div_total_ttc">
		    	<?php echo $form["total_ttc"]->renderError() ?>
		    	<div>
	    		<label for="commande_total_ttc">Total TTC <span class="obligatoire">*</span></label>
		      		<div class="content">
		      			<?php echo $form["total_ttc"]->render($fields["total_ttc"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["total_ttc"]->getConfig('attributes', array())->getRawValue() : $fields["total_ttc"]->getConfig('attributes', array())) ?>
		      		</div>
		    	</div>
		  	</div>
		  	<div class="sf_admin_form_row" id="div_mail_colissimo">
		    	<?php echo $form["numero_colissimo"]->renderError() ?>
		    	<div>
	    		<label for="commande_numero_colissimo">Numéro Colissimo</label>
		      		<div class="content">
		      			<?php echo $form["numero_colissimo"]->render($fields["numero_colissimo"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["numero_colissimo"]->getConfig('attributes', array())->getRawValue() : $fields["numero_colissimo"]->getConfig('attributes', array())) ?>
		      		</div>
		    	</div>
		  	</div>
		  	
	  	<?php if($commande->getidCommande() != ""):?>
		  	<div class="sf_admin_form_row sf_admin_text">
		    <div>
		      <label>Date Création</label>
		      <div class="content"><?php echo $commande->getDateCreationFr()?></div>
		    </div>
		  </div>
		  <div class="sf_admin_form_row sf_admin_text">
		    <div>
		      <label>Date Edition</label>
		      <div class="content"><?php echo $commande->getDateEditionFr()?></div>
		    </div>
		  </div>
		  

	  	<div class="sf_admin_form_row">
	    	<?php echo $form["moyen_paiement"]->renderError() ?>
	    	<div>
	    		<?php echo $form["moyen_paiement"]->renderLabel($fields["moyen_paiement"]->getConfig('label')) ?>
	      		<div class="content">
	      			<?php echo $form["moyen_paiement"]->render($fields["moyen_paiement"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["moyen_paiement"]->getConfig('attributes', array())->getRawValue() : $fields["moyen_paiement"]->getConfig('attributes', array())) ?>
	      		</div>
	    	</div>
	  	</div>
	  	<div class="sf_admin_form_row">
	    	<?php echo $form["numero_transaction"]->renderError() ?>
	    	<div>
	    		<?php echo $form["numero_transaction"]->renderLabel($fields["numero_transaction"]->getConfig('label')) ?>
	      		<div class="content">
	      			<?php echo $form["numero_transaction"]->render($fields["numero_transaction"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["numero_transaction"]->getConfig('attributes', array())->getRawValue() : $fields["numero_transaction"]->getConfig('attributes', array())) ?>
	      		</div>
	    	</div>
	  	</div>
	  	<div class="sf_admin_form_row">
	    	<?php echo $form["certificat_transaction"]->renderError() ?>
	    	<div>
	    		<?php echo $form["certificat_transaction"]->renderLabel($fields["certificat_transaction"]->getConfig('label')) ?>
	      		<div class="content">
	      			<?php echo $form["certificat_transaction"]->render($fields["certificat_transaction"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["certificat_transaction"]->getConfig('attributes', array())->getRawValue() : $fields["certificat_transaction"]->getConfig('attributes', array())) ?>
	      		</div>
	    	</div>
	  	</div>
	  	<div class="sf_admin_form_row">
	    	<?php echo $form["numero_carte"]->renderError() ?>
	    	<div>
	    		<?php echo $form["numero_carte"]->renderLabel($fields["numero_carte"]->getConfig('label')) ?>
	      		<div class="content">
	      			<?php echo $form["numero_carte"]->render($fields["numero_carte"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["numero_carte"]->getConfig('attributes', array())->getRawValue() : $fields["numero_carte"]->getConfig('attributes', array())) ?>
	      		</div>
	    	</div>
	  	</div>
	  	<div class="sf_admin_form_row">
	    	<?php echo $form["numero_carte"]->renderError() ?>
	    	<div>
	    		<?php echo $form["date_transaction"]->renderLabel($fields["date_transaction"]->getConfig('label')) ?>
	      		<div class="content">
	      			<?php echo $form["date_transaction"]->render($fields["date_transaction"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["date_transaction"]->getConfig('attributes', array())->getRawValue() : $fields["date_transaction"]->getConfig('attributes', array())) ?>
	      		</div>
	    	</div>
	  	</div>
	  	<?php if($commande->getIdUserSuiveur() != ""):?>
	  	<div class="sf_admin_form_row">
	    	<div>
	    		<label>Commercial</label>
	    		<div class="content">
	      			<?php echo $commande->getSfGuardUser()->getLastName()?> <?php echo $commande->getSfGuardUser()->getFirstName()?> <?php echo $commande->getSfGuardUser()->getUsername()?>
				</div>
	    	</div>
	  	</div>
	  	<?php endif?>
	  	<?php echo $form["mail_colissimo"]->render($fields["mail_colissimo"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["mail_colissimo"]->getConfig('attributes', array())->getRawValue() : $fields["mail_colissimo"]->getConfig('attributes', array())) ?>
	  	<?php echo $form["mail_commande"]->render($fields["mail_commande"]->getConfig('attributes', array()) instanceof sfOutputEscaper ? $fields["mail_commande"]->getConfig('attributes', array())->getRawValue() : $fields["mail_commande"]->getConfig('attributes', array())) ?>
<?php endif?>
</fieldset>

	  	<p>(<span class="obligatoire">*</span>) champs obligatoire</p>