<?php use_helper('I18N') ?>

<form action="<?php echo url_for('@sf_guard_signin') ?>" method="post">
  <table class="signin">
    <tbody>
    	<tr>
    		<td><?php echo $form['username']->renderLabel()?></td>
    		<td><?php echo $form['username']->render()?></td>
    	</tr>
    	<tr>
    		<td colspan="2"><?php echo $form['username']->renderError()?></td>
    	</tr>
    	<tr>
    		<td><?php echo $form['password']->renderLabel()?></td>
    		<td><?php echo $form['password']->render()?></td>
    	</tr>
    	<tr>
    		<td colspan="2"><?php echo $form['password']->renderError()?></td>
    	</tr>
    	<tr>
    		<td><?php echo $form['remember']->renderLabel()?></td>
    		<td><?php echo $form['remember']->render()?></td>
    	</tr>
    	<tr>
    		<td colspan="2"><?php echo $form['remember']->renderError()?></td>
    	</tr>
    	<tr>
    		<td colspan="2"><?php echo $form->renderGlobalErrors()?></td>
    	</tr>
    </tbody>
    <tfoot>
      <tr>
        <td colspan="2" class="centre">
          <input type="submit" value="<?php echo __('Signin', null, 'sf_guard') ?>" />
        </td>
      </tr>
      <tr>
      	<td class="centre" colspan="2">
      		<?php $routes = $sf_context->getRouting()->getRoutes() ?>
          <?php if (isset($routes['sf_guard_forgot_password'])): ?>
            <a href="<?php echo url_for('@sf_guard_forgot_password') ?>">Créer mot de passe ou mot de passe oublié.</a>
          <?php endif; ?>

          <?php if (isset($routes['sf_guard_register'])): ?>
            &nbsp; <a href="<?php echo url_for('@sf_guard_register') ?>"><?php echo __('Want to register?', null, 'sf_guard') ?></a>
          <?php endif; ?>
      	</td>
      </tr>
    </tfoot>
  </table>
</form>