<?php 
	use_helper("Number");
	// On récupère le menu
	$menus = MenuTable::recupererListeMenu();
	
	if($sf_user->hasFlash('minimumCommande'))
	{
		$minimumCommande = $sf_user->getFlash('minimumCommande');
	}
	
	// On récupère le menu de gauche
	$menuGauche = Doctrine_Core::getTable("Page")->find(sfConfig::get("app_menu_gauche"));
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo sfConfig::get("app_langue") ?>" lang="<?php echo sfConfig::get("app_langue") ?>">
  <head>
    <meta name="google-site-verification" content="<?php echo sfConfig::get("app_google_site_verification") ?>" />
    <?php //include_http_metas() ?>
    <?php //include_metas() ?>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <?php include_title() ?>
    <link rel="shortcut icon" href="/favicon.ico" />
    <?php include_stylesheets() ?>
    <link rel="stylesheet" type="text/css" media="print" href="/css/print.css" />
    <?php include_javascripts() ?>
  </head>
  <body>
  	<table id="site" border="1" cellspacing="0">
  		<tr>
  			<td id="entete" class="td_template" colspan="2">
  				<div id="connexion">
  					<?php if($sf_user->isAuthenticated()):?>
  						<p><?php echo __("Bienvenue")?> <?php echo $sf_user->getAttribute("nom", "", "sfGuardSecurityUser")?> <?php echo $sf_user->getAttribute("prenom", "", "sfGuardSecurityUser")?></p>
  						<ul style="margin-left: 10px;">
  							<li><?php echo link_to(__("Accéder à l'espace membre"), "@client")?></li>
  							<li><?php echo link_to(__("Se déconnecter"), "@sf_guard_signout")?></li>
  						</ul>
  					<?php else:?>
		  				<p><?php echo __("Votre compte")?></p>
		  				<form action="<?php echo url_for('@sf_guard_signin') ?>" method="post">
			  				<table>
			  					<tr>
			  						<td><?php echo __("Email")?></td>
			  						<td><input type="text"" name="signin[username]" /></td>
			  					</tr>
			  					<tr>
			  						<td><?php echo __("Code secret")?></td>
			  						<td><input type="password" name="signin[password]" /></td>
			  					</tr>
			  					<tr>
			  						<td></td>
			  						<td><input type="submit" value="<?php echo __("Se connecter")?>" /></td>
			  					</tr>
			  				</table>
			  			</form>
		  				<p><?php echo __("Mot de passe oublié,")?> <?php echo link_to(__("cliquez ici"), "@sf_guard_forgot_password")?></p>
  					<?php endif?>
  				</div>
  			</td>
  		</tr>
  		<tr>
  			<td id="sous_entete" class="td_template" colspan="2">
  				<?php echo image_tag("30ans.gif")?>
  				<?php echo link_to(image_tag("accueil.jpg", array("onmouseover" => "this.src='".image_path("accueil_bleu.jpg", true)."'", "onmouseout" => "this.src='".image_path("accueil.jpg", true)."'",)), "@homepage")?>
  				<?php echo link_to(image_tag("lentreprise.jpg", array("onmouseover" => "this.src='".image_path("lentreprise_bleu.jpg", true)."'", "onmouseout" => "this.src='".image_path("lentreprise.jpg", true)."'",)), "@url_page_notre_entreprise")?>
  				<?php echo link_to(image_tag("cgv.jpg", array("onmouseover" => "this.src='".image_path("cgv_bleu.jpg", true)."'", "onmouseout" => "this.src='".image_path("cgv.jpg", true)."'",)), '@url_page_cgv')?>
  				<?php echo link_to(image_tag("nouscontacter.jpg", array("onmouseover" => "this.src='".image_path("nouscontacter_bleu.jpg", true)."'", "onmouseout" => "this.src='".image_path("nouscontacter.jpg", true)."'",)), "@contact")?>
  				<?php echo link_to(image_tag("sav.jpg", array("onmouseover" => "this.src='".image_path("sav_bleu.jpg", true)."'", "onmouseout" => "this.src='".image_path("sav.jpg", true)."'",)), "@url_page_sav")?>
  			</td>
  		</tr>
  		<tr>
  			<td id="menu" class="td_template" colspan="2">
  				<?php $left = 0; $nb_menu = sizeof($menus); $i = 1;?>
  				<?php foreach($menus as $menu):?>
  					<div class="menu_item<?php if($i == $nb_menu){ echo '_last'; }?>" style="width:<?php echo $menu->getLargeur()?>px;" onmouseover="document.getElementById('menu<?php echo $menu->getIdMenu()?>').style.display = 'block';" onmouseout="document.getElementById('menu<?php echo $menu->getIdMenu()?>').style.display = 'none';"><?php echo $menu->getLibelle()?></div>
  					<?php $i++?>
  				<?php endforeach;?>
  				<div style="clear:both"></div>
  				<?php foreach($menus as $menu):?>
  					<div class="sous_menu_item" id="menu<?php echo $menu->getIdMenu()?>" style="margin-left:<?php echo $left?>px;width:<?php echo ($menu->getLargeur()- 5 - 2)?>px;" onmouseover="this.style.display = 'block';" onmouseout="this.style.display = 'none';">
  						<?php $sousMenus = $menu->getSousMenusOrdonnee()?>
  						<?php foreach($sousMenus as $sousMenu):?>
  							<a href="<?php echo str_replace("http://www.haute-pression.com/", sfConfig::get("app_url_site_web"), $sousMenu->getUrl())?>"><?php echo $sousMenu->getLibelle()?></a><br />
  						<?php endforeach;?>
  					</div>
  					<?php $left += $menu->getLargeur()?>
  				<?php endforeach;?>
  			</td>
  		</tr>
  		<tr>
                    <td id="fil_ariane" class="td_template" colspan="2"><?php //echo generate_breadcrumb($sf_user->getFlash('breadcrumb')) ?></td>
  		</tr>
  		<tr>
  			<td id="menu_gauche" class="td_template">
  				<?php if($sf_user->getFlash('nombre_articles') > 0):?>
  					<div id="petit_panier">
  						<div class="petit_panier_header">
  							<p class="titre"><?php echo __("Panier")?></p>
  							<p class="nombre_article"><?php echo $sf_user->getFlash('nombre_total_articles')?> <?php echo __("article(s)")?></p>
  						</div>
  						<table>
  							<tr>
  								<td><?php echo __("Produits HT")?></td>
  								<td class="prix"><?php echo format_currency($sf_user->getFlash('totalProduitsHT'))?><?php echo __("€")?></td>
  							</tr>
  							<?php if($sf_user->getFlash('francoDePort')):?>
  								<?php if($sf_user->getFlash('horsGabarit') || $sf_user->getFlash('totalPoids') > 10):?>
  									<tr>
		  								<td><?php echo __("Port HT")?></td>
		  								<td class="prix"><?php echo __("à calculer")?></td>
		  							</tr>
  								<?php else:?>
	  								<tr>
		  								<td><?php echo __("Port HT")?></td>
		  								<td class="prix"><?php echo __("Franco de port")?></td>
		  							</tr>
	  							<?php endif?>
  							<?php else:?>
	  							<tr>
	  								<td><?php echo __("Port HT")?></td>
	  								<td class="prix"><?php echo format_currency($sf_user->getFlash('totalPortHT'))?><?php echo __("€")?></td>
	  							</tr>
  							<?php endif?>
  							<tr class="espace">
  								<td></td>
  								<td></td>
  							</tr>
  							<tr>
  								<td><?php echo __("Total HT")?></td>
  								<td class="prix"><?php echo format_currency($sf_user->getFlash('totalHT'))?><?php echo __("€")?></td>
  							</tr>
  							<tr>
  								<td><?php echo __("TVA 19,6%")?></td>
  								<td class="prix"><?php echo format_currency($sf_user->getFlash('totalTVA'))?><?php echo __("€")?></td>
  							</tr>
  							<tr class="espace">
  								<td></td>
  								<td></td>
  							</tr>
  							<tr>
  								<td><?php echo __("Total TTC")?></td>
  								<td class="prix"><?php echo format_currency($sf_user->getFlash('totalTTC'))?><?php echo __("€")?></td>
  							</tr>
  							<?php if($sf_user->getFlash('totalTTC') < $sf_user->getFlash('minimumCommande')):?>
  							<tr class="espace">
  								<td></td>
  								<td></td>
  							</tr>
  							<tr>
  								<td colspan="2" id="commande_minimum"><?php echo __("Commande minimum de %prix%€", array("%prix%"=>$sf_user->getFlash('minimumCommande')))?></td>
  							</tr>
  							<?php endif?>
  						</table>
  						<div class="petit_panier_footer"><?php if($sf_user->getFlash('totalTTC') >= $sf_user->getFlash('minimumCommande')):?><?php echo link_to(__("Voir mon panier"), "@panier")?><?php endif?></div>
  					</div>
  				<?php endif ?>
  				<?php echo utf8_encode(html_entity_decode($menuGauche->getDescription()))?>
  			</td>
  			<td id="content" class="td_template"><?php echo $sf_content ?></td>
  		</tr>
  	</table>
  </body>
</html>
<script type="text/javascript">
  var _gaq = _gaq || [];
  _gaq.push(['_setAccount', '<?php echo sfConfig::get("app_google_analytics") ?>']);
  _gaq.push(['_trackPageview']);

  (function() {
    var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
    ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
  })();
</script>