<?php

require_once dirname(__FILE__).'/../lib/vendor/symfony/lib/autoload/sfCoreAutoload.class.php';
sfCoreAutoload::register();

class ProjectConfiguration extends sfProjectConfiguration
{
	public function setup()
	{
		$this->enablePlugins('sfDoctrinePlugin',
							'sfDoctrineGuardPlugin',
    						'sfThumbnailPlugin',
							'sfFormExtraPlugin');
		
		set_include_path(sfConfig::get('sf_lib_dir').'/vendor/PHPExcel'.PATH_SEPARATOR.get_include_path());
		require_once sfConfig::get('sf_lib_dir').'/vendor/PHPExcel/PHPExcel.php';
                
                $sf_upload_dir = "/homez.41/hautepre/www/uploads";
                $sf_web_dir = "/homez.41/hautepre/www";
                
                
		// Configuration des chemins
		sfConfig::set('import_dir', $sf_upload_dir.DIRECTORY_SEPARATOR.'import');
		
		sfConfig::set('article_image_dir', $sf_web_dir.DIRECTORY_SEPARATOR.'images/articles');
		sfConfig::set('article_miniature_dir', $sf_web_dir.DIRECTORY_SEPARATOR.'images/articles/miniature');
		
		sfConfig::set('nettoyeur_image_dir', $sf_web_dir.DIRECTORY_SEPARATOR.'images/nettoyeurs');
		sfConfig::set('nettoyeur_miniature_dir', $sf_web_dir.DIRECTORY_SEPARATOR.'images/nettoyeurs/miniature');
		sfConfig::set('nettoyeur_video_dir', $sf_web_dir.DIRECTORY_SEPARATOR.'videos/nettoyeurs');
		sfConfig::set('nettoyeur_pdf_doc_commercial_dir', $sf_web_dir.DIRECTORY_SEPARATOR.'pdf/1/3');
		sfConfig::set('nettoyeur_pdf_doc_technique_dir', $sf_web_dir.DIRECTORY_SEPARATOR.'pdf/1/1');
  		sfConfig::set('nettoyeur_pdf_eclate_technique_dir', $sf_web_dir.DIRECTORY_SEPARATOR.'pdf/1/2');
  		
  		sfConfig::set('pompe_image_dir', $sf_web_dir.DIRECTORY_SEPARATOR.'images/pompes');
		sfConfig::set('pompe_miniature_dir', $sf_web_dir.DIRECTORY_SEPARATOR.'images/pompes/miniature');
		sfConfig::set('pompe_pdf_doc_commercial_dir', $sf_web_dir.DIRECTORY_SEPARATOR.'pdf/2/3');
		sfConfig::set('pompe_pdf_doc_technique_dir', $sf_web_dir.DIRECTORY_SEPARATOR.'pdf/2/2');
  		sfConfig::set('pompe_pdf_eclate_technique_dir', $sf_web_dir.DIRECTORY_SEPARATOR.'pdf/2/1');
  		
  		sfConfig::set('commande_pdf_devis_dir', $sf_web_dir.DIRECTORY_SEPARATOR.'pdf/devis');
  		
  		/*sfConfig::set('sf_upload_dir', '/homez.218/aznmeet/www/yenkong/hautepression/web/uploads');
  		sfConfig::set('import_dir', '/homez.218/aznmeet/www/yenkong/hautepression/web/uploads/import');
  		
		sfConfig::set('article_image_dir', '/homez.218/aznmeet/www/yenkong/hautepression/web/images/articles');
		sfConfig::set('article_miniature_dir', '/homez.218/aznmeet/www/yenkong/hautepression/web/images/articles/miniature');
		
		sfConfig::set('nettoyeur_image_dir', '/homez.218/aznmeet/www/yenkong/hautepression/web/images/nettoyeurs');
		sfConfig::set('nettoyeur_miniature_dir', '/homez.218/aznmeet/www/yenkong/hautepression/web/images/nettoyeurs/miniature');
		sfConfig::set('nettoyeur_video_dir', '/homez.218/aznmeet/www/yenkong/hautepression/web/videos/nettoyeurs');
		sfConfig::set('nettoyeur_pdf_doc_commercial_dir', '/homez.218/aznmeet/www/yenkong/hautepression/web/pdf/nettoyeurs/doc_commercial');
		sfConfig::set('nettoyeur_pdf_doc_technique_dir', '/homez.218/aznmeet/www/yenkong/hautepression/web/pdf/nettoyeurs/doc_technique');
  		sfConfig::set('nettoyeur_pdf_eclate_technique_dir', '/homez.218/aznmeet/www/yenkong/hautepression/web/pdf/nettoyeurs/eclate_technique');
  		
  		sfConfig::set('pompe_image_dir', '/homez.218/aznmeet/www/yenkong/hautepression/web/images/pompes');
		sfConfig::set('pompe_miniature_dir', '/homez.218/aznmeet/www/yenkong/hautepression/web/images/pompes/miniature');
		sfConfig::set('pompe_pdf_doc_commercial_dir', '/homez.218/aznmeet/www/yenkong/hautepression/web/pdf/pompes/doc_commercial');
		sfConfig::set('pompe_pdf_doc_technique_dir', '/homez.218/aznmeet/www/yenkong/hautepression/web/pdf/pompes/doc_technique');
  		sfConfig::set('pompe_pdf_eclate_technique_dir', '/homez.218/aznmeet/www/yenkong/hautepression/web/pdf/pompes/eclate_technique');
  		
  		sfConfig::set('commande_pdf_devis_dir', '/homez.218/aznmeet/www/yenkong/hautepression/web/pdf/devis');*/
	}
}
