<?php

/**
 * Mail form base class.
 *
 * @method Mail getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BaseMailForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_mail' => new sfWidgetFormInputHidden(),
      'libelle' => new sfWidgetFormInputText(),
      'objet'   => new sfWidgetFormInputText(),
      'mail'    => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'id_mail' => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id_mail')), 'empty_value' => $this->getObject()->get('id_mail'), 'required' => false)),
      'libelle' => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'objet'   => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'mail'    => new sfValidatorPass(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('mail[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'Mail';
  }

}
