<?php

/**
 * VisitePro form base class.
 *
 * @method VisitePro getObject() Returns the current form's model object
 *
 * @package    sf_sandbox
 * @subpackage form
 * @author     Your name here
 * @version    SVN: $Id: sfDoctrineFormGeneratedTemplate.php 29553 2010-05-20 14:33:00Z Kris.Wallsmith $
 */
abstract class BaseVisiteProForm extends BaseFormDoctrine
{
  public function setup()
  {
    $this->setWidgets(array(
      'id_visite'        => new sfWidgetFormInputHidden(),
      'id_mailing_pro'   => new sfWidgetFormDoctrineChoice(array('model' => $this->getRelatedModelName('MailingPro'), 'add_empty' => true)),
      'url'              => new sfWidgetFormInputText(),
      'date_heure_debut' => new sfWidgetFormInputText(),
      'date_heure_fin'   => new sfWidgetFormInputText(),
    ));

    $this->setValidators(array(
      'id_visite'        => new sfValidatorChoice(array('choices' => array($this->getObject()->get('id_visite')), 'empty_value' => $this->getObject()->get('id_visite'), 'required' => false)),
      'id_mailing_pro'   => new sfValidatorDoctrineChoice(array('model' => $this->getRelatedModelName('MailingPro'), 'required' => false)),
      'url'              => new sfValidatorString(array('max_length' => 255, 'required' => false)),
      'date_heure_debut' => new sfValidatorPass(array('required' => false)),
      'date_heure_fin'   => new sfValidatorPass(array('required' => false)),
    ));

    $this->widgetSchema->setNameFormat('visite_pro[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    $this->setupInheritance();

    parent::setup();
  }

  public function getModelName()
  {
    return 'VisitePro';
  }

}
